	JMP	S
	ORG	$38000
	LOAD	$38000

>extern "3pR",Pr3	;10476
>extern "5pR",Pr5	;34800

Pr3=$50000
Pr5=$50000+10476

stack:	blk.l	$c0,0
S:	move.l	a7,oldstack
	lea	s(pc),a7
	moveq	#0,d0
	moveq	#0,d1
	moveq	#0,d2
	moveq	#0,d3
	moveq	#0,d4
	moveq	#0,d5
	moveq	#0,d6
	moveq	#0,d7
	move.l	d0,a0
	move.l	d1,a1
	move.l	d2,a2
	move.l	d3,a3
	move.l	d4,a4
	move.l	d5,a5
	lea	$dff000,A6
	move.w	$1c(a6),oldena
	move.w	#$7fff,$9a(a6)
	move.w	#$c000,$9a(a6)
	move.w	$1e(a6),oldreq
	move.w	#$3fff,$9c(a6)
	move.w	$02(a6),olddma
	move.w	#$03df,$96(a6)
	move.l	#super,$80.w
	trap	#0

	bsr	rnd_init

	lea	$dff000,a6
	MOVE.L	#COP,$80(a6)
Sync:	move.l	$04(a6),d0
	and.l	#$1ff00,d0
	cmp.l	#$12800,d0
	bne.s	Sync
	move.w	#$83e0,$96(a6)
	bsr	SetLv2Irq


EVER:	move.l	$dff004,d0
	and.l	#$1ff00,d0
	cmp.l	#$12800,d0
	bne.s	Ever

;	move.w	#$004,$dff180

	bsr	random
	bsr	ceolrut


	btst	#2,$dff016
	bne.s	.ke
	move.w	#1,expogo
	move.l	#cop2,$dff080
.ke:
	move.w	#$200,d0
.k:	dbf	d0,.k
;	move.w	#$300,$dff180

	cmp.w	#$45,ActKey
	bne.s	ever


END:	bsr	ClrLv2Irq

	move.l	#user,$80.w
	trap	#0
	move.l	$04.w,a6
	move.l	(a6),a5
	move.l	(a5),a5
	lea	$dff000,a6
	move.l	38(a5),$80(a6)

	move.w	#$3fff,$9c(a6)
	move.w	#$7fff,$9a(a6)
	move.w	#$03ff,$96(a6)
	move.w	oldena(pc),d0
	move.w	oldreq(pc),d1
	move.w	olddma(pc),d2
	and.w	#$3fff,d1
	and.w	#$03f0,d2
	or.w	#$8000,d0
	or.w	#$8000,d1
	or.w	#$8000,d2
	move.w	d1,$9c(a6)
	move.w	d0,$9a(a6)
	move.w	d2,$96(a6)

	move.l	$04.w,a6
	move.l	oldstack(pc),a7
	moveq	#0,d0
rts:	rts

super:	move.w	#$2000,(a7)
	rte
user:	move.w	#$0000,(a7)
	rte

oldstack:dc.l	0
oldena:	dc.w	0
oldreq:	dc.w	0
olddma:	dc.w	0

;----------------------------------------------------------------

OldLv2Irq:	dc.l	0
SetLv2Irq:	move.l	$68.w,OldLv2Irq
		move.l	#NewLv2Int,$68.w
	move.w	#$3781,d0
	tst.b	$bfee01		;ctrl a - stop timer a
	tst.b	$bfef01
	move.b	d0,$bfe401	;timer a low
	lsr.w	#$8,d0
	move.b	d0,$bfe501	;timer a high
	move.b	#$7f,$bfed01	;clr irq ctrlreg
	move.b	#$89,$bfed01	;irq ctrlreg - from timer a + sp full
		move.w	#$8008,$dff09a
		rts

ClrLv2Irq:	move.w	#$0008,$dff09a
		tst.b	$bfee01
		tst.b	$bfef01
		tst.b	$bfed01
		move.b	#$7f,$bfed01
		move.b	#$9f,$bfed01
		move.l	OldLv2Irq(pc),$68.w
		rts

NewLv2Int:	movem.l	d0-d2,-(a7)
		move.b	$bfed01,d0
		bclr	#7,d0
		bclr	#3,d0
		beq	NII_Ex
		moveq	#0,d2
		move.b	$bfec01,d2
		bset	#6,$bfee01
		not.b	d2
		ror.b	#1,d2
		moveq	#60,d1
NII_Wait:	dbf	d1,NII_Wait
		bclr	#6,$bfee01

		cmp.b	#$65,d2
		bne.s	NII_AltOn1
		bset	#0,AltMode
		bra	NII_Ex
NII_AltOn1:	cmp.b	#$e5,d2
		bne.s	NII_AltOff1
		bclr	#0,AltMode
		bra	NII_Ex
NII_AltOff1:	cmp.b	#$64,d2
		bne.s	NII_AltOn2
		bset	#1,AltMode
		bra	NII_Ex
NII_AltOn2:	cmp.b	#$e4,d2
		bne.s	NII_AltOff2
		bclr	#1,AltMode
		bra	NII_Ex
NII_AltOff2:	cmp.b	#$61,d2
		bne.s	NII_ShiftOn1
		bset	#0,ShiftMode
		bra	NII_Ex
NII_ShiftOn1:	cmp.b	#$e1,d2
		bne.s	NII_ShiftOff1
		bclr	#0,ShiftMode
		bra	NII_Ex
NII_ShiftOff1:	cmp.b	#$60,d2
		bne.s	NII_ShiftOn2
		bset	#1,ShiftMode
		bra	NII_Ex
NII_ShiftOn2:	cmp.b	#$e0,d2
		bne.s	NII_ShiftOff2
		bclr	#1,ShiftMode
		bra	NII_Ex
NII_ShiftOff2:	cmp.b	#$4f,d2
		bne.s	NII_LeftOn
		move.w	#-1,CursorKeyX
		bra	NII_Ex
NII_LeftOn:	cmp.b	#$cf,d2
		bne.s	NII_LeftOff
		tst.w	CursorKeyX
		bpl	NII_Ex
		clr.w	CursorKeyX
		bra	NII_Ex
NII_LeftOff:	cmp.b	#$4e,d2
		bne.s	NII_RightOn
		move.w	#1,CursorKeyX
		bra	NII_Ex
NII_RightOn:	cmp.b	#$ce,d2
		bne.s	NII_RightOff
		tst.w	CursorKeyX
		bmi	NII_Ex
		clr.w	CursorKeyX
		bra.L	NII_Ex
NII_RightOff:	cmp.b	#$4c,d2
		bne.s	NII_UpOn
		move.w	#-1,CursorKeyY
		bra.s	NII_Ex
NII_UpOn:	cmp.b	#$cc,d2
		bne.s	NII_UpOff
		tst.w	CursorKeyY
		bpl.s	NII_Ex
		clr.w	CursorKeyY
		bra.s	NII_Ex
NII_UpOff:	cmp.b	#$4d,d2
		bne.s	NII_DownOn
		move.w	#1,CursorKeyY
		bra.s	NII_Ex
NII_DownOn:	cmp.b	#$cd,d2
		bne.s	NII_DownOff
		tst.w	CursorKeyY
		bmi.s	NII_Ex
		clr.w	CursorKeyY
		bra.s	NII_Ex
NII_DownOff:
		cmp.b	#$66,d2
		bne.s	NII_Lbutton
		move.w	#1,LeftAmiga
		bra.s	NII_Ex
NII_Lbutton:	cmp.b	#$e6,d2
		bne.s	NII_NoLbutton
		clr.w	LeftAmiga
		bra.s	NII_Ex
NII_NoLbutton:
		btst	#7,d2
		bne.s	NII_UpKey
		move.w	d2,ActKey
NII_UpKey:	move.w	d2,AllKey
NII_Ex:		move.w	#$0008,$dff09c
		movem.l	(a7)+,d0-d2
		rte

ActKey:		dc.w	0
AllKey:		dc.w	0
AltMode:	dc.w	0
ShiftMode:	dc.w	0
CursorKeyX:	dc.w	0
CursorKeyY:	dc.w	0
LeftAmiga:	dc.w	0

;----------------------------------------------------------------

rnd_init:
	move.w	$dff004,rnd
	move.w	$dff006,rnd+2
	move.b	$dc0001,rnd+4
	move.b	$dc0003,rnd+5
	move.w	$dff00a,rnd+6
	rts

RANDOM:	MOVEM.L	RND,D0/D1	;D0=LSB's, D1=MSB's of rnd num
	ANDI.B	#$0E,D0		;ensure upper 59 bits are an...
	ORI.B	#$20,D0		;...odd binary number
	MOVE.L	D0,D2
	MOVE.L	D1,D3
	ADD.L	D2,D2		;accounts for 1 of 17 left shifts
	ADDX.L	D3,D3		;[D2/D3] = RND*2
	ADD.L	D2,D0
	ADDX.L	D3,D1		;[D0/D1] = RND*3
	SWAP	D3		;shift [D2/D3] additional 16 times
	SWAP	D2
	MOVE.W	D2,D3
	CLR.W	D2
	ADD.L	D2,D0		;add to [D0/D1]
	ADDX.L	D3,D1
	add.w	$dff006,d0
	add.w	$dff00a,d1
	MOVEM.L	D0/D1,RND	;save for next time through
;	MOVE.L D0,D1
	RTS
RND:	DC.L 0,0

;----------------------------------------------------------------

dummy:	dc.l	0

;----------------------------------------------------------------

ceolpoi:	dc.l	ceoldat
ceolgo:	dc.w	1
ceolx:	dc.w	0

ceolrut:bsr	expo
	tst.w	ceolgo
	beq	rts
	eor.w	#1,ceolx
	beq	rts
	move.l	ceolpoi(pc),a0
	lea	ceol1+6(pc),a1
	move.w	(a0)+,(a1)
	move.w	(a0)+,4(a1)
	move.w	(a0)+,8(a1)
	move.w	(a0)+,12(a1)
	move.w	(a0)+,16(a1)
	move.w	(a0)+,20(a1)
	move.w	(a0)+,24(a1)

	move.l	a0,ceolpoi
	tst.w	(a0)
	bpl	rts
	clr.w	ceolgo
	rts

ceoldat:
 dc.w $0000,$0000,$0220,$0000,$0000,$0110,$0000
 dc.w $0000,$0000,$0440,$0000,$0000,$0330,$0000
 dc.w $0000,$0000,$0880,$0000,$0000,$0550,$0000
 dc.w $0000,$0001,$0cc0,$0000,$0000,$0770,$0000
 dc.w $0001,$0002,$0ff1,$0000,$0000,$0881,$0000
 dc.w $0001,$0003,$0ee2,$0001,$0000,$0872,$0000
 dc.w $0002,$0004,$0dd3,$0001,$0000,$0773,$0000
 dc.w $0003,$0005,$0cc4,$0002,$0001,$0764,$0000
 dc.w $0004,$0006,$0bb5,$0002,$0001,$0665,$0000
 dc.w $0004,$0007,$0aa6,$0003,$0001,$0656,$0000
 dc.w $0005,$0008,$0997,$0003,$0002,$0557,$0000
 dc.w $0006,$0009,$0888,$0004,$0002,$0548,$0000
 dc.w $0007,$000a,$0779,$0004,$0002,$0449,$0000
 dc.w $0007,$000b,$066a,$0005,$0003,$043a,$0000
 dc.w $0008,$001c,$055b,$0005,$0003,$033b,$0000
 dc.w $0009,$001d,$044c,$0006,$0003,$032c,$0000
 dc.w $0009,$002e,$033d,$0006,$0004,$022d,$0000
 dc.w $0019,$002E,$022D,$0006,$0004,$021D,$0000
 dc.w $0019,$003E,$012D,$0016,$0004,$012D,$0000
 dc.w $0019,$003E,$003D,$0016,$0004,$013D,$0000
 dc.w $0029,$004E,$004D,$0016,$0004,$003D,$0000
 dc.w $0029,$004E,$005D,$0016,$0014,$004D,$0000
 dc.w $0029,$005E,$006D,$0026,$0014,$005D,$0000
 dc.w $0039,$005E,$007D,$0026,$0014,$006D,$0000
 dc.w $0039,$006E,$008D,$0026,$0014,$006D,$0000
 dc.w $0039,$006E,$009D,$0026,$0014,$007D,$0000
 dc.w $0049,$007E,$00aD,$0036,$0014,$008D,$0000
 dc.w $0049,$007E,$00bD,$0036,$0024,$008D,$0000
 dc.w $0049,$008E,$00cD,$0036,$0024,$009D,$0000
 dc.w $0159,$008E,$00dD,$0136,$0024,$01AD,$0000
 dc.w $0159,$008E,$01DD,$0136,$0024,$01AD,$0000
 dc.w $0259,$008E,$02DD,$0136,$0024,$02AD,$0000
 dc.w $0259,$008E,$03DD,$0136,$0124,$02AD,$0000
 dc.w $0259,$008E,$04DD,$0236,$0124,$03AD,$0000
 dc.w $0359,$008E,$05DD,$0236,$0124,$03AD,$0000
 dc.w $0359,$008E,$06DD,$0236,$0124,$04AD,$0000
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0000
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0f00
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0e00
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0d00
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0c00
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0b00
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0a00
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0900
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0800
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0700
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0600
 dc.w $0359,$008E,$07DD,$0236,$0124,$04AD,$0500
 dc.w -1

;----------------------------------------------------------------

expocou:dc.w	$30
expogo:	dc.w	0


expo:	tst.w	expogo
	beq	rts
	moveq	#0,d0
	move.b	rnd(pc),d0
	move.w	expocou(pc),d1
	muls	d1,d0
	lsr.l	#$8,d0
	lsr.w	#$2,d0
	add.w	#$0,d0
	move.w	d0,d2
	asl.w	#$4,d2
	add.w	d0,d2
	move.w	d2,cop2+2

	moveq	#0,d0
	move.b	rnd+1(pc),d0
	mulu	d1,d0
	lsr.l	#8,d0
	lsr.w	#1,d0

	move.w	d0,d2
	moveq	#$56,d2
	sub.w	d0,d2
	moveq	#$04,d1
	sub.w	d0,d1
	move.b	d2,cop3+2
	move.b	d1,cop3+6

	subq.w	#1,expocou
	bne	rts
	clr.w	expogo
	rts

;----------------------------------------------------------------

cop2:	dc.w $0102,$0000,$0104,$0000,$0108,00,$010a,00
cop3:	dc.w $008e,$5671,$0090,$04c7,$0092,$0038,$0094,$00d0

	dc.w $120,dummy/$10000,$122,dummy&$ffff
	dc.w $124,dummy/$10000,$126,dummy&$ffff
	dc.w $128,dummy/$10000,$12a,dummy&$ffff
	dc.w $12c,dummy/$10000,$12e,dummy&$ffff
	dc.w $130,dummy/$10000,$132,dummy&$ffff
	dc.w $134,dummy/$10000,$136,dummy&$ffff
	dc.w $138,dummy/$10000,$13a,dummy&$ffff
	dc.w $13c,dummy/$10000,$13e,dummy&$ffff

	dc.w $00e0,[Pr5+[174*40*0]]/$10000,$00e2,[Pr5+[174*40*0]]&$ffff
	dc.w $00e4,[Pr5+[174*40*1]]/$10000,$00e6,[Pr5+[174*40*1]]&$ffff
	dc.w $00e8,[Pr5+[174*40*2]]/$10000,$00ea,[Pr5+[174*40*2]]&$ffff
	dc.w $00ec,[Pr5+[174*40*3]]/$10000,$00ee,[Pr5+[174*40*3]]&$ffff
	dc.w $00f0,[Pr5+[174*40*4]]/$10000,$00f2,[Pr5+[174*40*4]]&$ffff

	dc.w $180,$000,$182,$FFF,$184,$EEE,$186,$DDD
	dc.w $188,$CCC,$18a,$BBB,$18c,$AAA,$18e,$999
	dc.w $190,$888,$192,$777,$194,$666,$196,$555
	dc.w $198,$444,$19a,$333,$19c,$222,$19e,$111
	dc.w $1a0,$F56,$1a2,$D45,$1a4,$C34,$1a6,$A22
	dc.w $1a8,$811,$1aa,$611,$1ac,$500,$1ae,$300
	dc.w $1b0,$200,$1b2,$100,$1b4,$322,$1b6,$0F0
	dc.w $1b8,$0F0,$1ba,$0F0,$1bc,$0F0,$1be,$0F0

	dc.w $0100,$5200

	dc.w $ffff,$fffe


cop:	dc.w $0100,$3200,$0102,$0000,$0104,$0000,$0108,00,$010a,00
	dc.w $0096,$8020
	dc.w $120,dummy/$10000,$122,dummy&$ffff
	dc.w $124,dummy/$10000,$126,dummy&$ffff
	dc.w $128,dummy/$10000,$12a,dummy&$ffff
	dc.w $12c,dummy/$10000,$12e,dummy&$ffff
	dc.w $130,dummy/$10000,$132,dummy&$ffff
	dc.w $134,dummy/$10000,$136,dummy&$ffff
	dc.w $138,dummy/$10000,$13a,dummy&$ffff
	dc.w $13c,dummy/$10000,$13e,dummy&$ffff

	dc.w $008e,$6671,$0090,$28c7,$0092,$0060,$0094,$00a0

	dc.w $00e0,[Pr3+[194*18*0]]/$10000,$00e2,[Pr3+[194*18*0]]&$ffff
	dc.w $00e4,[Pr3+[194*18*1]]/$10000,$00e6,[Pr3+[194*18*1]]&$ffff
	dc.w $00e8,[Pr3+[194*18*2]]/$10000,$00ea,[Pr3+[194*18*2]]&$ffff

ceol1:	dc.w $180,$0,$182,$0,$184,$0,$186,$0
	dc.w $188,$0,$18a,$0,$18c,$0,$18e,$0
	dc.w $ffff,$fffe

rend:	end

