ORG	$42000
LOAD	$42000

>EXTERN "SFONTR",	FONT,	-1
>EXTERN "FJANTR",	FONT2,	-1
>EXTERN "SIN",		SIN,	-1
>EXTERN "VSIN",		VSIN,	-1

SIN=	$4A000	; $0100
VSIN=	$4A800	; $4000
FONT2=	$4F000  ; $0800
FONT=	$52000	;
BOBD=	$50000	; $0900	?

SCRN=	$62000	; $8000
BSCRN=$62000
CSCRN=$66000
DSCRN=$69800


S:

	MOVE.B	#$FF,D3
	JSR	SYNC
	MOVE.B	#$38,D3
	JSR	SYNC
	MOVE.L	#COP,$DFF080
	MOVE.W	#$0020,$DFF096
	MOVE.W	#$8000,$DFF096
	MOVE.W	#$4000,$DFF09A

MOVE.L	#BSCRN,D0	; 2 BITPLANE SCROLL
	MOVE.W	D0,SCLCOP+6
	SWAP	D0
	MOVE.W	D0,SCLCOP+2
MOVE.L	#BSCRN+[56*52],D0
	MOVE.W	D0,SCLCOP+14
	SWAP	D0
	MOVE.W	D0,SCLCOP+10

MOVE.L	#CSCRN,D0	; BACKGROUND SCROLL
	MOVE.W	D0,INS+22
	SWAP	D0
	MOVE.W	D0,INS+18
MOVE.L	#DSCRN,D0
	MOVE.W	D0,INS+30
	SWAP	D0
	MOVE.W	D0,INS+26

		MOVE.L	#DSCRN+$2C00,D0
			MOVE.W	D0,INS+6
			SWAP	D0
			MOVE.W	D0,INS+2
		MOVE.L	#DSCRN+$2C00,D0
			MOVE.W	D0,INS+14
			SWAP	D0
			MOVE.W	D0,INS+10




	MOVE.L	#$3200,D1
	MOVE.L	#SCRN,A0
GOOF:	MOVE.L	#$00000000,(A0)+
	DBF	D1,GOOF
	MOVE.L	#$1800/4,D1
	MOVE.L	#BOBD,A0
GOOP:	MOVE.L	#$00000000,(A0)+
	DBF	D1,GOOP

BSR.L	D_INIT



;

MAIN:	MOVE.W	#$31,D3
	JSR	SYNC
	MOVE.W	#$20,D3
	JSR	SYNC

MOVE.W	#$080,$DFF180
	BSR	D_STAR
MOVE.W	#$F00,$DFF180
	BSR	C_SCRL
MOVE.W	#$864,$DFF180
	BSR	A_FLIP
MOVE.W	#$000,$DFF180
	BSR	B_SCRL
;MOVE.W	#$000,$DFF180

	BTST	#6,$BFE001
	BNE	MAIN
	BRA END

;

SYNC:	MOVE.B	$DFF006,D0
	CMP.B	D3,D0
	BNE 	SYNC
	RTS

;
			
END:	MOVE.L	$00000004,A6
	MOVE.L	#LIBNAMET,A1
	JSR	-408(A6)
	MOVE.L	D0,A0
	MOVE.L	38(A0),$DFF080
	MOVE.W	#$8020,$DFF096
	MOVE.W	#$C000,$DFF09A
	CLR.L	D0
RTS:	RTS
LIBNAMET:
	DC.B	'graphics.library',0
	EVEN


;
A_XFL:	DC.L	00	;Y
A_YFL:	DC.L	28	;Y1
A_XER:	DC.L	0	;Y
A_YER:	DC.L	$80	;Y1
A_XAD:	DC.W	0003
A_YAD:	DC.W	0004

A_FLIP:
	MOVE.L	#SIN,A0
	MOVE.L	A_XER,D0
	MOVE.L	A_YER,D1
	MOVE.B	(A0,D0.W),D0
	MOVE.B	(A0,D1.W),D1
	LSR.B	#1,D0
	LSR.B	#1,D1
	MOVE.L	D0,A_XFL
	MOVE.L	D1,A_YFL
	MOVE.W	A_XAD,D0
	ADD.W	D0,A_XER+2
	AND.L	#$000000FF,A_XER
	MOVE.W	A_YAD,D0
	ADD.W	D0,A_YER+2
	AND.L	#$000000FF,A_YER
;================
	JSR	BBUS
	MOVE.W	#-44,$DFF074
	MOVE.L	#MODCOP+6,$DFF054
	MOVE.L	#$01F00000,$DFF040
	MOVE.L	#$0000000A,$DFF064
	MOVE.L	#$FFFFFFFF,$DFF044
	MOVE.W	#[71*$40]+1,$DFF058
	JSR	BBUS
;================
	MOVE.L	A_XFL,D0
	MOVE.L	A_YFL,D1
	MOVE.L	D0,D6
	MOVE.L	D1,D5
	SUB.W	D0,D1
	TST.W	D1
	BMI	A_FLIP2
	BEQ	RTS
	MOVE.L	#SCRN,D0
	MOVE.W	D0,SCLCOP+6
	SWAP	D0
	MOVE.W	D0,SCLCOP+2
	SWAP	D0
	ADD.L	#[56*52],D0
	MOVE.W	D0,SCLCOP+14
	SWAP	D0
	MOVE.W	D0,SCLCOP+10
	MOVE.W	D1,D5
	MOVE.L	#MODCOP+6+$0000,A0
	MULU	#12,D6
	ADD.L	D6,A0
	MOVE.L	#[56*$100],D0
	DIVU	D1,D0
	MOVEQ	#0,D2
	MOVEQ	#0,D3
A_FLOP:	MOVE.L	D2,D1
	MULU	D0,D1
	LSR.W	#8,D1
	MOVE.W	D1,D4
	SUB.W	D3,D1
	MOVE.W	D4,D3
	SUBQ.W	#1,D1
	MULS	#48,D1
	ADD.W	#4,D1
	MOVE.W	D1,(A0)
	ADD.L	#12,A0
	ADDQ.B	#1,D2
	CMP.B	D5,D2
	BNE	A_FLOP
	MOVE.W	#$2000,(A0)
	RTS
A_FLIP2:	MOVE.L	D5,D6
		NEG.W	D1
		MOVE.L	#SCRN+[52*52]-$10,D0
		MOVE.W	D0,SCLCOP+6
		SWAP	D0
		MOVE.W	D0,SCLCOP+2
		SWAP	D0
		ADD.L	#[56*52],D0
		MOVE.W	D0,SCLCOP+14
		SWAP	D0
		MOVE.W	D0,SCLCOP+10
		MOVE.W	D1,D5
	ADDQ.W	#1,D5
		MOVE.L	#MODCOP+6+$0000,A0
		MULU	#12,D6
		ADD.L	D6,A0
		MOVE.L	#[56*$100],D0
		DIVU	D1,D0
		MOVEQ	#0,D2
		MOVEQ	#0,D3
A_ZLOP:		MOVE.L	D2,D1
		MULU	D0,D1
		LSR.W	#8,D1
		MOVE.W	D1,D4
		SUB.W	D3,D1
		MOVE.W	D4,D3
		SUBQ.W	#1,D1
		MULS	#48,D1
		ADD.W	#92,D1
		NEG.W	D1
		MOVE.W	D1,(A0)
		ADD.L	#12,A0
		ADDQ.B	#1,D2
		CMP.B	D5,D2
		BNE	A_ZLOP
		MOVE.W	#$2000,(A0)
		RTS

;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@



B_DONK:	DC.W	8
B_CABB:	DC.L	B_CABL
B_PAUS:	DC.W	1
B_HAST:	DC.L	$C9F00000
B_HASS:	DC.W	0
B_SAVECHAR:	DC.L	0
B_SETF2:DC.W	0
B_CHAB:
DC.W	00,04,08,12,16,20,24,28,32,36,40,44,48,52,56,60,64,68,72
DC.W	76,80,84,88,92,96,100,104,108,112,116,0,0
DC.W	$19C8,$19CC,$19D0,$19D4,$19D8,$19DC,$19E0,$19E4,$19E8,$19EC
DC.W	$19F0,$19F4,$19F8,$19FC,$1A00,$1A04,$1A08,$1A0C,$1A10,$1A14
DC.W	$1A18,$1A1C,$1A20,$1A24,$1A28,$1A2C,$1A30,$1A34,$1A38,$1A3C
DC.W	0,0,0
DC.W	$3390,$3394,$3398,$339C,$33A0,$33A4,$33A8,$33AC,$33B0,$33B4
DC.W	$33B8,$33BC,$33C0,$33C4,$33C8,$33CC,$33D0,$33D4,$33D8,$33DC
DC.W	$33E0,$33E4,$33E8,$33EC,$33F0,$33F4,$33F8,$33FC,$3400,$3404
B_WIDD:
;      ! " # $ % ' & * ( ) 0 1 2 3 4 5 6 7 8 9 OEKW[W[EPECWQ[PQQ
DC.B 7,3,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,0
;      A B C D E F G H I J K L M N O P Q R S T U V W X Y Z [ \ ]
DC.B 7,7,7,7,7,7,7,7,7,3,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,0
;    SPECIAL CHARACTERS:
DC.B 7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7
EVEN
;-----------------------------------------------------------------
B_CABL:
DC.B "       L0400000      HELLO!            40800304       "
DC.B "  fh    F    OOPS!         "
DC.B "HEJSAN ALLA GLADA *SM[BARN*!           d               "
DC.B "DETTA \R MIN NYA RULL-TEXT!       zzzz      w      "
DC.B "           00800808    xKAKTUS!y O          "
DC.B " WRRRR RRR R RAP!                      ",$FF
DC.B $FF
EVEN

B_SCRL:
	TST.W	B_SETF2
	BEQ	B_NOF2
	BSR	B_F2

B_NOF2:	SUBQ.W	#1,B_PAUS
	BEQ	B_DOIT
	RTS

B_DOIT:	MOVE.W	#$0001,B_PAUS

	JSR	BBUS
	MOVE.L	#SCRN+$2E,$DFF050
	MOVE.L	#SCRN+$2C,$DFF054
	MOVE.L	B_HAST,$DFF040
	MOVE.L	#$00000000,$DFF064
	MOVE.L	#$FFFFFFFF,$DFF044
	MOVE.W	#[116*$40]+24,$DFF058

	SUBQ.W	#1,B_DONK
	BMI	B_CHAR
	RTS
B_CHAR:	AND.W	#$0007,B_DONK

	MOVE.L	B_CABB,A0
	MOVE.B	(A0)+,D0
	AND.L	#$FF,D0

	CMP.B	#$FF,D0
	BNE	B_CEZT
		MOVE.L	#B_CABL,A0
		MOVEQ	#32,D0

B_CEZT:	CMP.B	#$B6,D0	; JAMFOR CTRL-TECKEN
	BNE	B_NEX1
	BRA	BS_PAUSE
B_NEX1:	CMP.B	#$AA,D0
	BNE	B_NEX2
	BRA	BS_HIGHV
B_NEX2:	CMP.B	#$BA,D0
	BNE	B_NEX3
	BRA	BS_LOWV
B_NEX3:	CMP.B	#$C7,D0
	BNE	B_NEX4
	BRA	BS_SINE
B_NEX4:
BS_RUTT:
	MOVE.L	A0,B_CABB
	SUB.B	#32,D0
	MOVE.L	#B_WIDD,A1
	MOVE.B	(A1,D0.W),B_DONK+1

	TST.W	B_HASS
	BEQ	B_NEL
	LSR.W	#1,B_DONK

B_NEL:	ASL	#1,D0
	MOVE.L	#B_CHAB,A0
	MOVE.W	(A0,D0.W),D0
	ADD.L	#FONT,D0
	JSR	BBUS
	MOVE.L	D0,$DFF050
	MOVE.L	#SCRN+$58,$DFF054
	MOVE.L	#$09F00000,$DFF040
	MOVE.L	#$0074002C,$DFF064
	MOVE.L	#$FFFFFFFF,$DFF044
	MOVE.W	#[55*$40]+2,$DFF058
	ADD.L	#$7800,D0
	MOVE.L	D0,B_SAVECHAR
	MOVE.W	#$0001,B_SETF2
	RTS
;--------
B_F2:	MOVE.L	B_SAVECHAR,D0
	JSR	BBUS	; RUNS ON FRAME TWO!
	MOVE.L	D0,$DFF050
	MOVE.L	#SCRN+$56+[56*52]+2,$DFF054
	MOVE.L	#$09F00000,$DFF040
	MOVE.L	#$0074002C,$DFF064
	MOVE.L	#$FFFFFFFF,$DFF044
	MOVE.W	#[55*$40]+2,$DFF058
	CLR.W	B_SETF2
	RTS
;ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
; CTRL-RUTTER
;--------------
BS_PAUSE:
	MOVE.B	(A0)+,D2		; PAUSE
	AND.L	#$0F,D2
	ASL.W	#5,D2	;*32
	MOVE.W	D2,B_PAUS
	MOVEQ	#32,D0
	BRA	BS_RUTT
;--------------
BS_HIGHV:
	MOVE.L	#$89F00000,B_HAST	; HIGH VELOCITY
	MOVE.W	#$0001,B_HASS
	MOVEQ	#32,D0
	BRA	BS_RUTT
;--------------
BS_LOWV:
	MOVE.L	#$C9F00000,B_HAST	; HIGH VELOCITY
	MOVE.W	#$0000,B_HASS
	MOVEQ	#32,D0
	BRA	BS_RUTT
;--------------
BS_SINE:
	MOVE.B	(A0)+,D2
	AND.B	#$F,D2
	ASL.B	#4,D2
	MOVE.B	(A0)+,D3
	AND.B	#$F,D3
	ADD.B	D2,D3
	MOVE.W	D3,A_XER+2
	MOVE.B	(A0)+,D2
	AND.B	#$F,D2
	ASL.B	#4,D2
	MOVE.B	(A0)+,D3
	AND.B	#$F,D3
	ADD.B	D2,D3
	MOVE.W	D3,A_YER+2
	MOVE.B	(A0)+,D2
	AND.B	#$F,D2
	ASL.B	#4,D2
	MOVE.B	(A0)+,D3
	AND.B	#$F,D3
	ADD.B	D2,D3
	MOVE.W	D3,A_XAD
	MOVE.B	(A0)+,D2
	AND.B	#$F,D2
	ASL.B	#4,D2
	MOVE.B	(A0)+,D3
	AND.B	#$F,D3
	ADD.B	D2,D3
	MOVE.W	D3,A_YAD
	MOVEQ	#32,D0
	BRA	BS_RUTT
;--------------
;
C_DONK:	DC.W	0
C_TABL:	DC.L	C_TABB
C_SPAZ:
DC.W 00,01,02,03,04,05,06,07,09,10,08,11,12,13,14,15,16,17,18,19,20
DC.W 21,22,23,24,25,26,27,28,29,30,31
DC.W 680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695
DC.W 696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711
DC.W 1360,1361,1362,1363,1364,1365,1366,1367,1368,1369,1370,1371,1372
DC.W 1373,1374,1375,1376,1377,1378,1379,1380,1381,1382,1383,1384,1385
DC.W 1386,1387,1388,1389,1390,1391

BLK.B 100,0
C_TABB:
;     IIIIIIiiIIIIII
DC.B 'Tjena           ',$F1
DC.B 'Alla            '
DC.B 'Monsterdiggare! '
DC.B '                '
DC.B '                ',$F0
DC.B ',.,.,.,.,.,.,.,.'
DC.B ',.,.,.,.,.,.,.,.'
DC.B ',.,.,.,.,.,.,.,.'
DC.B ',.,.,.,.,.,.,.,.'
DC.B '*              *',$F4
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'
DC.B '*              *'

DC.B '                '
DC.B '                '
DC.B '                '
DC.B '                '
DC.B '                '
DC.B '                '
DC.B '                '
DC.B '                '
DC.B '                '
DC.B '                '
DC.B '                '

DC.B '                ',$FF
DC.B '                ' ; spacerow!


EVEN
C_BOBX:	DC.W 100,100,100,100,100,100,100,100,100,100
	DC.W 100,100,100,100,100,100,100,100
C_BOBY:	DC.W 001,018,035,052,069,086,103,120,137,154
	DC.W 171,188,205,222,239,256,273,290

C_BODY:	DC.W 017,034,051,068,085,102,119,136,153
	DC.W 170,187,204,221,238,255,272,289

C_BOBP:	DC.L	BOBD+[20*17*0],BOBD+[20*17*1]
	DC.L	BOBD+[20*17*2],BOBD+[20*17*3]
	DC.L	BOBD+[20*17*4],BOBD+[20*17*5]
	DC.L	BOBD+[20*17*6],BOBD+[20*17*7]
	DC.L	BOBD+[20*17*8],BOBD+[20*17*9]
	DC.L	BOBD+[20*17*10],BOBD+[20*17*11]
	DC.L	BOBD+[20*17*12],BOBD+[20*17*13]
	DC.L	BOBD+[20*17*14],BOBD+[20*17*15]
	DC.L	BOBD+[20*17*16],BOBD+[20*17*17]

; TEORI AR NAR MAN VET ALLT & INGENTING FUNGERAR.
; PRAKTIK AR NAR ALLTING FUNGERAR OCH JAG INTE VET VARFOR.
; JAG HAR FORENAT TEORI & PRAKTIK!
; INGENTING FUNGERAR, OCH JAG VET INTE VARFOR!!

C_BOO:	DC.W	17*20*16
C_SVIN:	DC.W	0
C_HASE:	DC.W	5

C_SCRL:

	BRA.S	C_MAIN

;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
C_XCTR:	MOVE.L	#C_BOBX,A0
	MOVEQ	#16,D7
C_XXLP:	MOVE.W	2(A0),(A0)+
	DBF	D7,C_XXLP
	MOVE.L	#SIN,A1
	ADD.W	C_SVIN,A1
	MOVE.W	C_HASE,D0
ADD.B	D0,C_SVIN+1
	CLR.W	D0
	MOVE.B	(A1),D0
	ADD.W	#40,D0
	MOVE.W	D0,(A0)
	RTS
;//////////////////////////////////

C_MAIN:
	JSR	C_XCTR



	
	MOVEQ	#16,D7
	MOVE.L	#C_BOBY,A0
C_SLOP:	SUB.W	#1,(A0)+
	DBF	D7,C_SLOP

	CMP.W	#0,C_BOBY
	BNE	C_PAER

	JSR	C_XCTR

	MOVEQ	#16,D7
	MOVE.L	#C_BODY,A0
	MOVE.L	#C_BOBY,A1
	MOVE.L	#C_BOBP,A2
	MOVE.L	(A2),17*4(A2)

C_GNOP:	MOVE.W	(A0)+,(A1)+
	MOVE.L	4(A2),(A2)+
	DBF	D7,C_GNOP

	ADD.W	#[17*20],C_BOO
	CMP.W	#[17*20*17],C_BOO
	BNE	C_PAER
	MOVE.W	#0,C_BOO
;\\\\\\\\\\\\\
C_PAER:	MOVE.L	#$00000018,$DFF064
	MOVE.L	#$FFFFFFFF,$DFF044

	MOVE.L	#C_BOBX,A0
	MOVE.L	#CSCRN,A1
	MOVE.L	#C_BOBP,A2
	MOVE.L	#$DFF000,A3
	MOVE.W	#0,D7

C_BLOP:	MOVEQ	#0,D2
	MOVE.W	(A0,D7.W),D0
	MOVE.W	$24(A0,D7.W),D1
	MOVE.W	D0,D2
	LSR.W	#3,D0
	AND.W	#$F,D2
	ROR.W	#4,D2
	OR.W	#$09F0,D2
	SWAP	D2
	MULU	#44,D1
	ADD.W	D0,D1
	ADD.L	A1,D1
	JSR	BBUS
	MOVE.L	D1,$54(A3)
	MOVE.L	(A2)+,$50(A3)
	MOVE.L	D2,$40(A3)
	MOVE.W	#[17*$40]+[20/2],$58(A3)
	ADDQ.B	#2,D7
	CMP.B	#32,D7
	BNE	C_BLOP

	ADDQ.W	#1,C_DONK
	CMP.W	#17,C_DONK
	BEQ	C_END

C_NOJJ:	MOVE.L	C_TABL,A0
	MOVE.L	#BOBD,A2
	ADD.W	C_BOO,A2

	MOVEQ	#0,D0
	MOVE.W	C_DONK,D0
	ADD.W	D0,A2
	MULU	#44,D0
C_CLOP:	MOVE.B	(A0)+,D0
	MOVE.L	A0,C_TABL
	CMP.B	#$FF,D0
	BEQ	C_REZT
	BMI	C_CCTR
	AND.L	#$7F,D0	; $FF
	SUB.B	#$20,D0
	MOVE.L	#C_SPAZ,A3
	ASL.B	#1,D0
	MOVE.W	(A3,D0.W),D0
	ADD.L	#FONT2,D0
	MOVE.L	D0,A1
	MOVEQ	#15,D6
C_CLOO:	MOVE.B	(A1),(A2)
	ADD.L	#20,A2
	ADD.L	#40,A1
	DBF	D6,C_CLOO
	RTS
C_REZT:	MOVE.L	#C_TABB,C_TABL
	MOVE.W	#0,C_DONK
;	MOVE.W	#17*20,C_BOO
C_END:	MOVE.W	#0,C_DONK
	RTS
C_CCTR:	AND.W	#$0F,D0
	MOVE.W	D0,C_HASE
	BRA.S	C_CLOP


;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
D_INIT:
	MOVE.L	#SIN,A0
	MOVE.L	#D_ANG,A1
	MOVE.L	#D_RAD,A2
	MOVEQ	#99,D7
D_INLP:	MOVE.W	(A0),(A1)+
	MOVE.W	(A0)+,D0
;	ADDQ.W	#1,D0
;	MOVE.W	D0,(A2)+
	DBF	D7,D_INLP
	RTS


D_RAD:	BLK.B	100,0
D_ANG:	BLK.W	100,0
D_HAST:	DC.W 1,2,1,2,1,4,3,1,1,5,1,2,1,2,3,2,2,2,1,2,1,2,3,1,1
	DC.W 2,2,1,2,1,2,3,2,4,2,1,2,5,2,3,1,3,2,1,2,4,2,3,3,1
	DC.W 1,2,2,2,3,2,3,1,1,2,3,4,1,2,3,5,1,2,1,2,1,2,3,3,1
	DC.W 2,2,1,2,1,2,3,1,1,2,1,2,1,2,4,1,1,2,5,2,1,2,3,1,1
D_OLDPOI:	BLK.W	100,0


D_STAR:

	MOVE.L	#D_OLDPOI,A0
	MOVE.L	#DSCRN+$1816,A1
	MOVEQ	#64,D7
D_CLLP:	MOVE.W	(A0)+,D0
	CLR.B	(A1,D0.W)
	CLR.B	44(A1,D0.W)
	DBF	D7,D_CLLP
MOVE.W	#$008,$DFF180


	MOVEQ	#64,D7
	MOVE.L	#D_RAD	,A0
	MOVE.L	#D_ANG	,A1
	MOVE.L	#VSIN		,A2
	MOVE.L	#VSIN+$2000	,A3
	MOVE.L	#DSCRN+$1816	,A4
	MOVE.L	#D_OLDPOI	,A5
	MOVE.W	#$0080,D4
	MOVE.W	#$3,D5
	MOVE.W	#1,D6


D_LOOP:	MOVEQ	#0,D0
	MOVE.B	(A0)+,D0
	MOVE.W	D0,D2

	MOVE.W	(A1)+,D1
	ASL.W	D6,D1
	MOVE.W	(A3,D1.W),D3	; cosV
	MULS	D3,D0
	SWAP	D0	;DIVS #32768
	ROL.L	D6,D0

	MOVE.W	(A2,D1.W),D3	; sinV
	MULS	D3,D2
	SWAP	D2	;DIVS #32768
	ROL.L	D6,D2
	ADD.W	D4,D0	;#$0080	; D0-X  D2-Y
	MOVE.W	D0,D1		; D1-X
	NOT.B	D0
	LSR.W	D5,D1	;#3
	MULU	#44,D2
	ADD.W	D1,D2
MOVE.W	D2,(A5)+
	BSET	D0,(A4,D2.W)
	BSET	D0,44(A4,D2.W)
	DBF	D7,D_LOOP

	BCLR	#7,DSCRN+$1816+16	;EMPTY MIDDLE PIX!
	BCLR	#7,DSCRN+$1816+16+44


MOVE.W	#$0808,$DFF180

	MOVEQ	#64,D7
	MOVE.L	#D_RAD,A0
	MOVE.L	#D_ANG,A2
	MOVE.L	#D_HAST,A1
D_CALP:	MOVE.B	(A1)+,D0	; CALC NEW DOT!
	ADD.B	D0,(A0)
	AND.B	#$7F,(A0)+
	BNE	D_BVSS
	ADD.W	#$130,(A2)
D_BVSS:	ADD.W	#0,(A2)
	AND.W	#$0FFF,(A2)+
	DBF	D7,D_CALP

	RTS


;
BBUS:	BTST	#14,$DFF002
	BNE	BBUS
	RTS
;

COP:	DC.W	$2011,$FFFE
INS:	DC.L	$00E00005,$00E20000	;EVEN
	DC.L	$00E80005,$00EA0000	;EVEN
	DC.L	$00E40000,$00E60000	;ODD
	DC.L	$00EC0000,$00EE0000	;ODD

	DC.L	$01820222,$01840444,$01860666
	DC.L	$01920000,$019404FF,$01960AF2

	DC.L	$008E2071,$009030D1
	DC.L	$00920030,$009400f0
	DC.L	$01004400
	DC.L	$01020000
	DC.L	$01080000,$010A0000

DC.L	$3111FFFE,$01920111
DC.L	$3211FFFE,$01920221
DC.L	$3311FFFE,$01920331
DC.L	$3411FFFE,$01920441
DC.L	$3511FFFE,$01920451
DC.L	$3611FFFE,$01920561
DC.L	$3711FFFE,$01920571
DC.L	$3811FFFE,$01920681
DC.L	$3911FFFE,$01920692
DC.L	$3A11FFFE,$019207A2
DC.L	$3B11FFFE,$019207B2
DC.L	$3C11FFFE,$019208C2
DC.L	$3D11FFFE,$019208D2
DC.L	$3E11FFFE,$019209E2
DC.L	$3F11FFFE,$019209E2
DC.L	$4011FFFE,$01920AF2
DC.L	$4111FFFE,$01920AF2






	DC.L	$E011FFFE,$018000C8
	DC.L	$E111FFFE,$018004FC
	DC.L	$E211FFFE
DC.L	$018000A7;	BACK
DC.L	$018204CA;	CHAR-COLOR0 (BORDER)
DC.L	$01840000;	CHAR-COLOR1 (NO USE)
DC.L	$018604FC;	CHAR-COLOR2 (MAIN)

DC.L	$01004400
SCLCOP:	DC.L	$00E00000,$00E20000,$00E80000,$00EA0000
MODCOP:
DC.L	$E311FFFE,$01080000,$01FE0000
DC.L	$E411FFFE,$01080000,$01FE0000
DC.L	$E511FFFE,$01080000,$01FE0000
DC.L	$E611FFFE,$01080000,$01FE0000
DC.L	$E711FFFE,$01080000,$01FE0000
DC.L	$E811FFFE,$01080000,$01FE0000
DC.L	$E911FFFE,$01080000,$01FE0000
DC.L	$EA11FFFE,$01080000,$01FE0000
DC.L	$EB11FFFE,$01080000,$01FE0000
DC.L	$EC11FFFE,$01080000,$01FE0000
DC.L	$ED11FFFE,$01080000,$01FE0000
DC.L	$EE11FFFE,$01080000,$01FE0000
DC.L	$EF11FFFE,$01080000,$01FE0000
DC.L	$F011FFFE,$01080000,$01FE0000
DC.L	$F111FFFE,$01080000,$01FE0000
DC.L	$F211FFFE,$01080000,$01FE0000
DC.L	$F311FFFE,$01080000,$01FE0000
DC.L	$F411FFFE,$01080000,$01FE0000
DC.L	$F511FFFE,$01080000,$01FE0000
DC.L	$F611FFFE,$01080000,$01FE0000
DC.L	$F711FFFE,$01080000,$01FE0000
DC.L	$F811FFFE,$01080000,$01FE0000
DC.L	$F911FFFE,$01080000,$01FE0000
DC.L	$FA11FFFE,$01080000,$01FE0000
DC.L	$FB11FFFE,$01080000,$01FE0000
DC.L	$FC11FFFE,$01080000,$01FE0000
DC.L	$FD11FFFE,$01080000,$01FE0000
DC.L	$FE11FFFE,$01080000,$01FE0000
DC.L	$FF11FFFE,$01080000,$FFE1FFFE
DC.L	$0011FFFE,$01080000,$01FE0000
DC.L	$0111FFFE,$01080000,$01FE0000
DC.L	$0211FFFE,$01080000,$01FE0000
DC.L	$0311FFFE,$01080000,$01FE0000
DC.L	$0411FFFE,$01080000,$01FE0000
DC.L	$0511FFFE,$01080000,$01FE0000
DC.L	$0611FFFE,$01080000,$01FE0000
DC.L	$0711FFFE,$01080000,$01FE0000
DC.L	$0811FFFE,$01080000,$01FE0000
DC.L	$0911FFFE,$01080000,$01FE0000
DC.L	$0A11FFFE,$01080000,$01FE0000
DC.L	$0B11FFFE,$01080000,$01FE0000
DC.L	$0C11FFFE,$01080000,$01FE0000
DC.L	$0D11FFFE,$01080000,$01FE0000
DC.L	$0E11FFFE,$01080000,$01FE0000
DC.L	$0F11FFFE,$01080000,$01FE0000
DC.L	$1011FFFE,$01080000,$01FE0000
DC.L	$1111FFFE,$01080000,$01FE0000
DC.L	$1211FFFE,$01080000,$01FE0000
DC.L	$1311FFFE,$01080000,$01FE0000
DC.L	$1411FFFE,$01080000,$01FE0000
DC.L	$1511FFFE,$01080000,$01FE0000
DC.L	$1611FFFE,$01080000,$01FE0000
DC.L	$1711FFFE,$01080000,$01FE0000
DC.L	$1811FFFE,$01080000,$01FE0000
DC.L	$1911FFFE,$01080000,$01FE0000
DC.L	$1A11FFFE,$01080000,$01FE0000
DC.L	$1B11FFFE,$01080000,$01FE0000
DC.L	$1C11FFFE,$01080000,$01FE0000
DC.L	$1D11FFFE,$01080000,$01FE0000
DC.L	$1E11FFFE,$01080000,$01FE0000
DC.L	$1F11FFFE,$01080000,$01FE0000
DC.L	$2011FFFE,$01080000,$01920AF2
DC.L	$2111FFFE,$01080000,$01920AE2
DC.L	$2211FFFE,$01080000,$019209D2
DC.L	$2311FFFE,$01080000,$019209C2
DC.L	$2411FFFE,$01080000,$019208B2
DC.L	$2511FFFE,$01080000,$019208A2
DC.L	$2611FFFE,$01080000,$01920792
DC.L	$2711FFFE,$01080000,$01920781
DC.L	$2811FFFE,$01080000,$01920671
DC.L	$2911FFFE,$01080000,$01920561
  DC.L	$01FE0000,$01FE0000,$01FE0000
  DC.L	$01FE0000,$01FE0000,$01FE0000

	DC.L	$2A11FFFE,$018000C8,$01920451
	DC.L	$2B11FFFE,$018004FC,$01920341
	DC.L	$2C11FFFE,$018000C8,$01920231
	DC.L	$2D11FFFE,$01800000,$01920121

	DC.L	$FFFFFFFE


EEND:
