ORG	$40000
LOAD	$40000

>EXTERN "VSIN",		VSIN,	-1
>EXTERN "ACIDO",	ACIDO,	-1
>EXTERN "SFONTR",	FONT,	-1
>EXTERN "SIN",		SIN,	-1

MULTAB=	$43000	; $0400
VSIN=	$44000	; $4000
COORD=	$48000	; $0800
SIN=	$48800	; $0100
ACIDO=	$4F000	; $1000	(END ALLOCERAT 4096 BYTES! OBS!)
FONT=	$50000	;
SCRN=	$60000	; $8000



S:

	JSR	BOTTOM
	JSR	BOTTOM2

	MOVE.B	#$FF,D3
	JSR	SYNC
	MOVE.B	#$38,D3
	JSR	SYNC
	MOVE.L	#COP,$DFF080
	MOVE.W	#$0020,$DFF096
	MOVE.W	#$8000,$DFF096


	MOVE.L	#SCRN+$6000,D0
	MOVE.W	D0,SCLCOP+6
	SWAP	D0
	MOVE.W	D0,SCLCOP+2
	MOVE.L	#SCRN+$6000+[56*52],D0
	MOVE.W	D0,SCLCOP+14
	SWAP	D0
	MOVE.W	D0,SCLCOP+10

	MOVE.L	#$2000,D1
	MOVE.L	#SCRN,A0
GOOF:	MOVE.L	#$00000000,(A0)+
	DBF	D1,GOOF

	BSR	IRQINIT



;

MAIN:	CMP.W	#$FFFF,Q_RUTR
	BNE	MAIN	
	CLR.W	Q_RUTR

;MOVE.W	#$400,$DFF180
	BSR	A_FILL
	BSR	A_STAR
;MOVE.W	#$000,$DFF180

	BTST	#6,$BFE001
	BNE	MAIN
	BRA END

;

SYNC:	MOVE.B	$DFF006,D0
	CMP.B	D3,D0
	BNE 	SYNC
	RTS

;
			
END:	BSR	ENDIRQ
	MOVE.L	$00000004,A6
	MOVE.L	#LIBNAMET,A1
	JSR	-408(A6)
	MOVE.L	D0,A0
	MOVE.L	38(A0),$DFF080
	MOVE.W	#$8020,$DFF096
	CLR.L	D0
	RTS
LIBNAMET:
	DC.B	'graphics.library',0
EVEN

;
OLDIRQ:	DC.L	0
OLDENA:	DC.W	0

IRQINIT:
	MOVE.L	$6C.W,OLDIRQ
	MOVE.W	$DFF01C,OLDENA
	OR.W	#$8000,OLDENA
	MOVE.W	#$7FFF,$DFF09A
	MOVE.L	#MYINT,$6C.W
	MOVE.W	#$C020,$DFF09A
	RTS
ENDIRQ:	MOVE.W	#$7FFF,$DFF09A
	MOVE.L	OLDIRQ,$6C.W
	MOVE.W	OLDENA,$DFF09A
RTS:	RTS



;IRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQ
SCRNPOI:	DC.L	SCRN
Q_SCSW:	DC.W	2
Q_SCRN:	DC.W	0
Q_RUTR:	DC.W	0

MYINT:
	MOVEM.L	D0-D7/A0-A6,-(A7)

	BSR	Q_SCRR
	BSR	Q_FLIP
	BSR	Q_SCRL

Q_OUT:	MOVE.W	#$0020,$DFF09C		;IRQREQ
	MOVEM.L	(A7)+,D0-D7/A0-A6
	RTE

;QQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQ
Q_XFL:	DC.L	00	;Y
Q_YFL:	DC.L	28	;Y1
Q_XER:	DC.L	0	;Y
Q_YER:	DC.L	$80	;Y1
Q_XAD:	DC.W	0003
Q_YAD:	DC.W	0004
Q_FLIP:

;	SIN:

	MOVE.L	#SIN,A0
	MOVE.L	Q_XER,D0
	MOVE.L	Q_YER,D1
	MOVE.B	(A0,D0.W),D0
	MOVE.B	(A0,D1.W),D1
	LSR.B	#1,D0
	LSR.B	#1,D1
	MOVE.L	D0,Q_XFL
	MOVE.L	D1,Q_YFL
	MOVE.W	Q_XAD,D0
	ADD.W	D0,Q_XER+2
	AND.L	#$000000FF,Q_XER
	MOVE.W	Q_YAD,D0
	ADD.W	D0,Q_YER+2
	AND.L	#$000000FF,Q_YER


;================
	JSR	BBUS
	MOVE.W	#-44,$DFF074
	MOVE.L	#MODCOP+6,$DFF054
	MOVE.L	#$01F00000,$DFF040
	MOVE.L	#$0000000A,$DFF064
	MOVE.L	#$FFFFFFFF,$DFF044
	MOVE.W	#[71*$40]+1,$DFF058
	JSR	BBUS

	MOVE.L	Q_XFL,D0
	MOVE.L	Q_YFL,D1
	MOVE.L	D0,D6
	MOVE.L	D1,D5

	SUB.W	D0,D1

	TST.W	D1
	BMI	Q_FLIP2
	BEQ	RTS

	MOVE.L	#SCRN+$6000,D0
	MOVE.W	D0,SCLCOP+6
	SWAP	D0
	MOVE.W	D0,SCLCOP+2
	SWAP	D0
	ADD.L	#[56*52],D0
	MOVE.W	D0,SCLCOP+14
	SWAP	D0
	MOVE.W	D0,SCLCOP+10
	MOVE.W	D1,D5
	MOVE.L	#MODCOP+6+$0000,A0
	MULU	#12,D6
	ADD.L	D6,A0
	MOVE.L	#[56*$100],D0
	DIVU	D1,D0
	MOVEQ	#0,D2
	MOVEQ	#0,D3
Q_FLOP:	MOVE.L	D2,D1
	MULU	D0,D1
	LSR.W	#8,D1
	MOVE.W	D1,D4
	SUB.W	D3,D1
	MOVE.W	D4,D3
	SUBQ.W	#1,D1
	MULS	#48,D1
	ADD.W	#4,D1
	MOVE.W	D1,(A0)
	ADD.L	#12,A0
	ADDQ.B	#1,D2
	CMP.B	D5,D2
	BNE	Q_FLOP
	MOVE.W	#$2000,(A0)
	RTS

;---------------------------------------------
Q_FLIP2:
		MOVE.L	D5,D6
		NEG.W	D1
		MOVE.L	#SCRN+$5FF0+[52*52],D0
		MOVE.W	D0,SCLCOP+6
		SWAP	D0
		MOVE.W	D0,SCLCOP+2
		SWAP	D0
		ADD.L	#[56*52],D0
		MOVE.W	D0,SCLCOP+14
		SWAP	D0
		MOVE.W	D0,SCLCOP+10
		MOVE.W	D1,D5
	ADDQ.W	#1,D5
		MOVE.L	#MODCOP+6+$0000,A0
		MULU	#12,D6
		ADD.L	D6,A0
		MOVE.L	#[56*$100],D0
		DIVU	D1,D0
		MOVEQ	#0,D2
		MOVEQ	#0,D3
Q_ZLOP:		MOVE.L	D2,D1
		MULU	D0,D1
		LSR.W	#8,D1
		MOVE.W	D1,D4
		SUB.W	D3,D1
		MOVE.W	D4,D3
		SUBQ.W	#1,D1
		MULS	#48,D1
		ADD.W	#92,D1
		NEG.W	D1
		MOVE.W	D1,(A0)
		ADD.L	#12,A0
		ADDQ.B	#1,D2
		CMP.B	D5,D2
		BNE	Q_ZLOP
		MOVE.W	#$2000,(A0)
		RTS

;---------------------------------
Q_SCRR:	SUBQ.W	#1,Q_SCSW
	BEQ	Q_SC0		; SCSW=0?
	BRA	RTS		; NEJ
Q_SC0:	MOVE.W	#2,Q_SCSW		; JA
	MOVE.W	#$FFFF,Q_RUTR
	MOVE.L	#SCRN,D0
	MOVE.L	#SCRN+$2C00,D1
	EOR.W	#$FFFF,Q_SCRN
	BMI	Q_SCR1
	EXG	D0,D1
Q_SCR1:	MOVE.W	D0,INS+6
	SWAP	D0
	MOVE.W	D0,INS+2
	MOVE.L	D1,SCRNPOI
SWAP	D0
ADD.L	#88,D0
	MOVE.W	D0,INS+14
	SWAP	D0
	MOVE.W	D0,INS+10
	RTS


;IRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQIRQ
Q_DONK:	DC.W	8
Q_CABB:	DC.L	Q_CABL
Q_PAUS:	DC.W	1
Q_HAST:	DC.L	$C9F00000
Q_HASS:	DC.W	0
Q_CHAB:
DC.W	00,04,08,12,16,20,24,28,32,36,40,44,48,52,56,60,64,68,72
DC.W	76,80,84,88,92,96,100,104,108,112,116,0,0
DC.W	$19C8,$19CC,$19D0,$19D4,$19D8,$19DC,$19E0,$19E4,$19E8,$19EC
DC.W	$19F0,$19F4,$19F8,$19FC,$1A00,$1A04,$1A08,$1A0C,$1A10,$1A14
DC.W	$1A18,$1A1C,$1A20,$1A24,$1A28,$1A2C,$1A30,$1A34,$1A38,$1A3C
DC.W	0,0,0
DC.W	$3390,$3394,$3398,$339C,$33A0,$33A4,$33A8,$33AC,$33B0,$33B4
DC.W	$33B8,$33BC,$33C0,$33C4,$33C8,$33CC,$33D0,$33D4,$33D8,$33DC
DC.W	$33E0,$33E4,$33E8,$33EC,$33F0,$33F4,$33F8,$33FC,$3400,$3404
Q_WIDD:
;      ! " # $ % ' & * ( ) 0 1 2 3 4 5 6 7 8 9 OEKW[W[EPECWQ[PQQ
DC.B 7,3,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,0
;      A B C D E F G H I J K L M N O P Q R S T U V W X Y Z [ \ ]
DC.B 7,7,7,7,7,7,7,7,7,3,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,0
;    SPECIAL CHARACTERS:
DC.B 7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7
EVEN
;-----------------------------------------------------------------
Q_CABL:
DC.B "       L0400000      HELLO!            40800304       "
DC.B "  fh    F    OOPS!         "
DC.B "HEJSAN ALLA GLADA *SM[BARN*!           d               "
DC.B "DETTA \R MIN NYA RULL-TEXT!       zzzz      w      "
DC.B "           00800808    xKAKTUS!y O          "
DC.B " WRRRR RRR R RAP!                     "
DC.B $FF
EVEN

Q_SCRL:
	SUBQ.W	#1,Q_PAUS
	BEQ	Q_DOIT
	RTS

Q_DOIT:	MOVE.W	#$0001,Q_PAUS
	JSR	BBUS
	MOVE.L	#SCRN+$602E,$DFF050
	MOVE.L	#SCRN+$602C,$DFF054
	MOVE.L	Q_HAST,$DFF040
	MOVE.L	#$00000000,$DFF064
	MOVE.L	#$FFFFFFFF,$DFF044
	MOVE.W	#[116*$40]+24,$DFF058

	SUBQ.W	#1,Q_DONK
	BMI	Q_CHAR
	RTS
Q_CHAR:	AND.W	#$0007,Q_DONK

	MOVE.L	Q_CABB,A0
	MOVE.B	(A0)+,D0
	AND.L	#$FF,D0

	CMP.B	#$FF,D0
	BNE	Q_CEZT
		MOVE.L	#Q_CABL,A0
		MOVEQ	#32,D0

Q_CEZT:	CMP.B	#$B6,D0	; JAMFOR CTRL-TECKEN
	BNE	Q_NEX1
	BRA	QS_PAUSE
Q_NEX1:	CMP.B	#$AA,D0
	BNE	Q_NEX2
	BRA	QS_HIGHV
Q_NEX2:	CMP.B	#$BA,D0
	BNE	Q_NEX3
	BRA	QS_LOWV
Q_NEX3:	CMP.B	#$C7,D0
	BNE	Q_NEX4
	BRA	QS_SINE
Q_NEX4:
QS_RUTT:
	MOVE.L	A0,Q_CABB
	SUB.B	#32,D0
	MOVE.L	#Q_WIDD,A1
	MOVE.B	(A1,D0.W),Q_DONK+1

	TST.W	Q_HASS
	BEQ	Q_NEL
	LSR.W	#1,Q_DONK

Q_NEL:	ASL	#1,D0
	MOVE.L	#Q_CHAB,A0
	MOVE.W	(A0,D0.W),D0
	ADD.L	#FONT,D0
	JSR	BBUS
	MOVE.L	D0,$DFF050
	MOVE.L	#SCRN+$6058,$DFF054
	MOVE.L	#$09F00000,$DFF040
	MOVE.L	#$0074002C,$DFF064
	MOVE.L	#$FFFFFFFF,$DFF044
	MOVE.W	#[55*$40]+2,$DFF058
	JSR	BBUS
ADD.L	#$7800,D0
	MOVE.L	D0,$DFF050
	MOVE.L	#SCRN+$6056+[56*52],$DFF054
	MOVE.L	#$09F00000,$DFF040
	MOVE.L	#$0074002C,$DFF064
	MOVE.L	#$FFFFFFFF,$DFF044
	MOVE.W	#[55*$40]+2,$DFF058
	RTS

;ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ


; CTRL-RUTTER
;--------------
QS_PAUSE:
	MOVE.B	(A0)+,D2		; PAUSE
	AND.L	#$0F,D2
	ASL.W	#5,D2	;*32
	MOVE.W	D2,Q_PAUS
	MOVEQ	#32,D0
	BRA	QS_RUTT
;--------------
QS_HIGHV:
	MOVE.L	#$89F00000,Q_HAST	; HIGH VELOCITY
	MOVE.W	#$0001,Q_HASS
	MOVEQ	#32,D0
	BRA	QS_RUTT
;--------------
QS_LOWV:
	MOVE.L	#$C9F00000,Q_HAST	; HIGH VELOCITY
	MOVE.W	#$0000,Q_HASS
	MOVEQ	#32,D0
	BRA	QS_RUTT
;--------------
QS_SINE:
	MOVE.B	(A0)+,D2
	AND.B	#$F,D2
	ASL.B	#4,D2
	MOVE.B	(A0)+,D3
	AND.B	#$F,D3
	ADD.B	D2,D3
	MOVE.W	D3,Q_XER+2
	MOVE.B	(A0)+,D2
	AND.B	#$F,D2
	ASL.B	#4,D2
	MOVE.B	(A0)+,D3
	AND.B	#$F,D3
	ADD.B	D2,D3
	MOVE.W	D3,Q_YER+2
	MOVE.B	(A0)+,D2
	AND.B	#$F,D2
	ASL.B	#4,D2
	MOVE.B	(A0)+,D3
	AND.B	#$F,D3
	ADD.B	D2,D3
	MOVE.W	D3,Q_XAD
	MOVE.B	(A0)+,D2
	AND.B	#$F,D2
	ASL.B	#4,D2
	MOVE.B	(A0)+,D3
	AND.B	#$F,D3
	ADD.B	D2,D3
	MOVE.W	D3,Q_YAD
	MOVEQ	#32,D0
	BRA	QS_RUTT
;--------------


;

BBUS:	BTST	#14,$DFF002
	BNE	BBUS
	RTS

;

A_FILL:	BTST	#14,$DFF002
	BNE.S	A_FILL
	MOVE.L	SCRNPOI,$DFF054
	MOVE.L	#$01000000,$DFF040
	MOVE.W	#$0,$DFF066
	MOVE.W	#[$130*$40]+[40/2],$DFF058
A_FIL:	BTST	#14,$DFF002
	BNE.S	A_FIL
	RTS

;

ANGLE:	DC.L	0
DOTTS:	DC.W	0

A_STAR:

	MOVE.W	ANGLE,D6
	ADD.W	#$-20,ANGLE
	AND.W	#$1FFF,ANGLE

;	MOVEQ	#$0,D6
;	MOVE.B	$DFF00A,D6
;	ASL.W	#$5,D6

	MOVE.L	SCRNPOI,A0
	LEA	COORD,A1
	LEA	VSIN+$0000,A2	; COS
	LEA	VSIN+$2000,A3	; SIN
	LEA	MULTAB,A4	; MULAD YPOS
	MOVE.W	DOTTS,A5
	SUB.L	A6,A6
	MOVE.L	#0,D7
	MOVE.B	$DFF00A,D7

;----------------------
A_PLOP:	MOVE.W	(A1)+,D0	;READ X&Y-COORD
	MOVE.W	(A1)+,D1
	;---------------
	MOVE.W	(A2,D6.W),D3	;READ COS&SIN
	MOVE.W	(A3,D6.W),D2
	MOVE.W	D2,D4		;CALCA RUNT Z-AXEL
	MOVE.W	D3,D5
	MULS	D0,D2
	MULS	D1,D3
	SWAP	D2
	ASL.W	#$1,D2
	SWAP	D3
	ASL.W	#$1,D3
	SUB.W	D2,D3
	MULS	D1,D4
	MULS	D0,D5
	SWAP	D4
	ASL.W	#1,D4
	SWAP	D5
	ASL.W	#1,D5
	ADD.W	D4,D5
	;------------


	;------------
	MULS	D7,D3	;ZOOM
	MULS	D7,D5
	LSR.L	#7,D3
	LSR.L	#7,D5
	;------------
	MOVE.W	D3,D0	;CALC ZERO-COORD
	MOVE.W	D5,D1
	ADD.W	#$2A0,D0
	ADD.W	#$220,D1
	;------------
	LSR.W	#2,D0	; DIVS NER TILL NORM VARDEN
	LSR.W	#2,D1
	ASL.W	#1,D1




;------------- PLOT!

	MOVE.W	D0,D3
	MOVE.W	D0,D2
	MOVE.W	(A4,D1.W),D1
	LSR.W	#3,D0
	NOT.B	D2
	AND.B	#$000F,D2
				MOVE.W	D1,D4
	ADD.W	D0,D1
	BSET	D2,(A0,D1.L)
	BSET	D2,44(A0,D1.L)
		ADDQ.W	#$1,D3
		MOVE.W	D3,D2
		LSR.W	#3,D3
		NOT.B	D2
		AND.B	#$000F,D2
		ADD.W	D3,D4
		BSET	D2,(A0,D4.W)
		BSET	D2,44(A0,D4.W)

NOPLOT:
	SUBQ.W	#1,A5
	CMP.W	#0,A5
	BNE	A_PLOP
	RTS

;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
BOTTOM:
	MOVE.W	#$0000,DOTTS
	MOVE.L	#COORD,A0
	MOVE.L	#ACIDO,A1

	MOVEQ	#0,D0	; YCTRL
	MOVEQ	#0,D1
	MOVEQ	#0,D2


BHLOP:	MOVEQ	#0,D0
	AND.L	#$1F,D0
	MOVE.L	(A1),D3
BHPOL:	LSR.L	#1,D3
	BCC	TJIPIX
	BSR.S	SETDOT
TJIPIX:	ADDQ.W	#1,D0
	CMP.W	#32,D0
	BNE	BHPOL

	ADDQ.L	#4,A1
	ADDQ.W	#1,D1
	CMP.W	#10,D1
	BNE	BHLOP

	MOVEQ	#0,D1
	ADDQ.W	#1,D2
	CMP.W	#20,D2
	BNE	BHLOP
	RTS
;----------------------------
SETDOT:
	ADDQ.W	#1,DOTTS
	MOVE.L	D0,D7
	MOVE.L	D1,D6
	MOVE.L	D2,D5
	MOVE.W	#32,D4
	SUB.B	D0,D4
	MOVE.W	D4,D0
	MOVEQ	#0,D4
	ASL.W	#5,D1

	ADD.W	D1,D0

	ASL.W	#5,D0
	ASL.W	#5,D2

	SUB.W	#280,D0
	SUBX.W	D4,D0
	SUB.W	#280,D2
	SUBX	D4,D0

	MOVE.W	D0,(A0)+
	MOVE.W	D2,(A0)+
	MOVE.L	D7,D0
	MOVE.L	D6,D1
	MOVE.L	D5,D2
	RTS

;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; CREATE MULTAB!

BOTTOM2:
	MOVE.L	#$110,D0
	MOVEQ	#0,D1
	MOVE.L	#MULTAB,A0
BOT2L:	MOVE.L	D1,D2
	MULU	#44,D2
	MOVE.W	D2,(A0)+
	ADDQ.W	#1,D1
	DBF	D0,BOT2L
	RTS

;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


COP:	DC.W	$2007,$FFFE
INS:	DC.L	$00E00005,$00E20000
	DC.L	$00E80005,$00EA0000
	DC.L	$00E40006,$00E66000
	DC.L	$01800054,$018208CF,$01840124,$018606AD
	DC.L	$01920000
	DC.W	$008E,$2071,$0090,$30D1
	DC.W	$0092,$0030,$0094,$00f0
	DC.W	$0100,$3400
	DC.W	$0108,$0000,$010A,$0000
	DC.L	$01020002
	DC.L	$01040040	;PLF2PRI



	DC.L	$E011FFFE,$018000C8
	DC.L	$E111FFFE,$018004FC
	DC.L	$E211FFFE

DC.L	$018000A7;	BACK
DC.L	$019200CA;	CHAR-COLOR0 (BORDER)
DC.L	$01940000;	CHAR-COLOR1 (NO USE)
DC.L	$019600FC;	CHAR-COLOR2 (MAIN)


DC.L	$01004400
SCLCOP:	DC.L	$00E40000,$00E60000,$00EC0000,$00EE0000

MODCOP:
DC.L	$E311FFFE,$010A0000,$01FE0000
DC.L	$E411FFFE,$010A0000,$01FE0000
DC.L	$E511FFFE,$010A0000,$01FE0000
DC.L	$E611FFFE,$010A0000,$01FE0000
DC.L	$E711FFFE,$010A0000,$01FE0000
DC.L	$E811FFFE,$010A0000,$01FE0000
DC.L	$E911FFFE,$010A0000,$01FE0000
DC.L	$EA11FFFE,$010A0000,$01FE0000
DC.L	$EB11FFFE,$010A0000,$01FE0000
DC.L	$EC11FFFE,$010A0000,$01FE0000
DC.L	$ED11FFFE,$010A0000,$01FE0000
DC.L	$EE11FFFE,$010A0000,$01FE0000
DC.L	$EF11FFFE,$010A0000,$01FE0000
DC.L	$F011FFFE,$010A0000,$01FE0000
DC.L	$F111FFFE,$010A0000,$01FE0000
DC.L	$F211FFFE,$010A0000,$01FE0000
DC.L	$F311FFFE,$010A0000,$01FE0000
DC.L	$F411FFFE,$010A0000,$01FE0000
DC.L	$F511FFFE,$010A0000,$01FE0000
DC.L	$F611FFFE,$010A0000,$01FE0000
DC.L	$F711FFFE,$010A0000,$01FE0000
DC.L	$F811FFFE,$010A0000,$01FE0000
DC.L	$F911FFFE,$010A0000,$01FE0000
DC.L	$FA11FFFE,$010A0000,$01FE0000
DC.L	$FB11FFFE,$010A0000,$01FE0000
DC.L	$FC11FFFE,$010A0000,$01FE0000
DC.L	$FD11FFFE,$010A0000,$01FE0000
DC.L	$FE11FFFE,$010A0000,$01FE0000
DC.L	$FF11FFFE,$010A0000,$FFE1FFFE
DC.L	$0011FFFE,$010A0000,$01FE0000
DC.L	$0111FFFE,$010A0000,$01FE0000
DC.L	$0211FFFE,$010A0000,$01FE0000
DC.L	$0311FFFE,$010A0000,$01FE0000
DC.L	$0411FFFE,$010A0000,$01FE0000
DC.L	$0511FFFE,$010A0000,$01FE0000
DC.L	$0611FFFE,$010A0000,$01FE0000
DC.L	$0711FFFE,$010A0000,$01FE0000
DC.L	$0811FFFE,$010A0000,$01FE0000
DC.L	$0911FFFE,$010A0000,$01FE0000
DC.L	$0A11FFFE,$010A0000,$01FE0000
DC.L	$0B11FFFE,$010A0000,$01FE0000
DC.L	$0C11FFFE,$010A0000,$01FE0000
DC.L	$0D11FFFE,$010A0000,$01FE0000
DC.L	$0E11FFFE,$010A0000,$01FE0000
DC.L	$0F11FFFE,$010A0000,$01FE0000
DC.L	$1011FFFE,$010A0000,$01FE0000
DC.L	$1111FFFE,$010A0000,$01FE0000
DC.L	$1211FFFE,$010A0000,$01FE0000
DC.L	$1311FFFE,$010A0000,$01FE0000
DC.L	$1411FFFE,$010A0000,$01FE0000
DC.L	$1511FFFE,$010A0000,$01FE0000
DC.L	$1611FFFE,$010A0000,$01FE0000
DC.L	$1711FFFE,$010A0000,$01FE0000
DC.L	$1811FFFE,$010A0000,$01FE0000
DC.L	$1911FFFE,$010A0000,$01FE0000
DC.L	$1A11FFFE,$010A0000,$01FE0000
DC.L	$1B11FFFE,$010A0000,$01FE0000
DC.L	$1C11FFFE,$010A0000,$01FE0000
DC.L	$1D11FFFE,$010A0000,$01FE0000
DC.L	$1E11FFFE,$010A0000,$01FE0000
DC.L	$1F11FFFE,$010A0000,$01FE0000
DC.L	$2011FFFE,$010A0000,$01FE0000
DC.L	$2111FFFE,$010A0000,$01FE0000
DC.L	$2211FFFE,$010A0000,$01FE0000
DC.L	$2311FFFE,$010A0000,$01FE0000
DC.L	$2411FFFE,$010A0000,$01FE0000
DC.L	$2511FFFE,$010A0000,$01FE0000
DC.L	$2611FFFE,$010A0000,$01FE0000
DC.L	$2711FFFE,$010A0000,$01FE0000
DC.L	$2811FFFE,$010A0000,$01FE0000
DC.L	$2911FFFE,$010A0000,$01FE0000
  DC.L	$01FE0000,$01FE0000,$01FE0000
  DC.L	$01FE0000,$01FE0000,$01FE0000

	DC.L	$2A11FFFE,$018000C8
	DC.L	$2B11FFFE,$018004FC
	DC.L	$2C11FFFE,$018000C8
	DC.L	$2D11FFFE,$01800000

	DC.L	$FFFFFFFE
