
SCR1   = $70000
SCR2   = $74000
SIN255 = $6FC00

S:	JSR	EX_RUT
	JSR	FILL_IT
	MOVE.L	$04.W,A6
	MOVE.W	#$4000,$DFF09A
	ADDQ.B	#$1,$0126(A6)
	MOVE.W	#$87FF,$DFF096
	MOVE.W	#$0020,$DFF096
	MOVE.L	#COP,$DFF080
	CLR.W	$DFF180

EEEVER:	BTST	#2,$DFF016
	BNE	EEEVER
;JUE:	BTST	#2,$DFF016
;	BEQ	JUE

EVER:	CMP.B	#$FF,$DFF006
	BNE	EVER
EVER2:	CMP.B	#$29,$DFF006
	BNE	EVER2

	JSR	EX_RUT

MOVE.W	#$100,$DFF180
		JSR	M1_RUT
		JSR	M_RUT
MOVE.W	#$200,$DFF180

	BTST	#$6,$BFE001
	BNE	EEEVER


END:	MOVE.L	$04.W,A6
	SUBQ.B	#1,$0126(A6)
	BGE	END1
	MOVE.W	#$C000,$DFF09A
END1:	MOVE.W	#$83F0,$DFF096
	MOVE.W	#$000F,$DFF096
	LEA	ENDGRAPH,A1
	CLR.L	D0
	JSR	-408(A6)
	MOVE.L	D0,A0
	MOVE.L	38(A0),$DFF080
	CLR.L	D0
RTS:	RTS

ENDGRAPH:	DC.B	'graphics.library',$00,$00

;

FILL_IT:MOVE.L	#SCR1,A0
	MOVE.W	#$1000,D7
F_1:	CLR.L	(A0)+
	DBF	D7,F_1

	MOVE.L	#SCR2,A0
	MOVE.W	#$1000,D7
F_2:	CLR.L	(A0)+
	DBF	D7,F_2

	MOVE.L	#$78000,A0
	MOVE.W	#$1000,D7
F_3:	CLR.L	(A0)+
	DBF	D7,F_3
	RTS

;

EX_C:	DC.W	$0000

EX_RUT:	EOR.B	#$1,EX_C
	CMP.B	#$0,EX_C
	BNE	EX_2

EX_1:	MOVE.L	#SCR1,SCREEN
	MOVE.L	#SCR2,SCREEN2
	JMP	EX_CT

EX_2:	MOVE.L	#SCR2,SCREEN
	MOVE.L	#SCR1,SCREEN2

EX_CT:	MOVE.L	SCREEN2,D0
	MOVE.W	D0,C_1+4
	SWAP	D0
	MOVE.W	D0,C_1
	RTS

SCREEN:	DC.L	$70000
SCREEN2:DC.L	$74000

;

M1_RUT:	CLR.B	M_OKTANT
	MOVE.L	#$78000+4,A0
	MOVE.L	#44,A1
	MOVE.W	#$0,A2
	MOVE.L	#SIN255,A4
	MOVE.L	#M_AT,A6
	CLR.L	D7
	CLR.L	D6

M1_LOOP:CLR.L	D0
	CLR.L	D1
	CLR.L	D2
	CLR.L	D3
	MOVE.B	(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D0
	MOVE.B	$10(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D1

	MOVE.B	1(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D2
	MOVE.B	$11(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D3
	JSR	L_RUT
	ADD.B	#$1,D7
	CMP.B	M_U2,D7
	BNE	M1_LOOP


M2_RUT:	MOVE.L	#$78000+4,A0
	MOVE.L	#44,A1
	MOVE.W	#-1,A2
	MOVE.L	#SIN255,A4
	MOVE.L	#M_AT,A6
	CLR.L	D7
	CLR.L	D6
	ADD.B	#$1,M_U3

M2_LOOP:CLR.L	D0
	CLR.L	D1
	CLR.L	D2
	CLR.L	D3
	MOVE.B	(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D0
	MOVE.B	$10(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D1
	MOVE.B	1(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D2
	MOVE.B	$11(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D3
	JSR	L_RUT
	ADD.B	#$1,D7
	CMP.B	M_U2,D7
	BNE	M2_LOOP
	RTS

;

M_RUT:	BTST	#14,$DFF002
	BNE	M_RUT
	MOVE.L	#$DFF000,A5
	MOVE.L	SCREEN,D0
	ADD.L	#[$0*44]+4,D0
	MOVE.L	D0,$54(A5)
	MOVE.L	#$01000000,$40(A5)
	MOVE.L	#-1,$44(A5)
	MOVE.W	#$000C,$66(A5)
	MOVE.W	#$4050,$58(A5)

	MOVE.B	#$2,M_OKTANT
	MOVE.L	SCREEN,A0
	ADD.L	#$4,A0
	MOVE.L	#44,A1
	MOVE.W	#-1,A2
	MOVE.L	#SIN255,A4
	MOVE.L	#M_AT,A6
	CLR.L	D7
	CLR.L	D6
	ADD.B	#$1,M_U3

M_LOOP:	CLR.L	D0
	CLR.L	D1
	CLR.L	D2
	CLR.L	D3

	MOVE.B	(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D0
	MOVE.B	$10(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D1

	MOVE.B	1(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D2
	MOVE.B	$11(A6,D7),D6
	ADD.B	M_U3,D6
	MOVE.B	(A4,D6),D3

M_5:	JSR	L_RUT

	ADD.B	#$1,D7
	CMP.B	M_U2,D7
	BNE	M_LOOP
	SUB.B	#$1,M_U3
	JMP	M_3

M_OKTANT:	DC.W	$0200
M_UGH:	DC.W	$0040
M_AT:	DC.B	$00,$80,$41,$C1,$00,$A0,$C0,$E0
	DC.B	$00,$00,$00,$00,$00,$00,$00,$00

	DC.B	$50,$D0,$90,$10,$50,$E0,$00,$20
	DC.B	$40,$00,$00,$00,$00,$00,$00,$00

M_U2:	DC.W	$0400
M_U3:	DC.W	$0100
EVEN

M_3:	BTST	#14,$DFF002
	BNE	M_3
	MOVE.L	#$DFF000,A5

	MOVE.L	SCREEN,D0
	ADD.L	#[$FF*44]+4+$1E,D0
	MOVE.L	D0,$54(A5)
	MOVE.L	D0,$50(A5)
	MOVE.L	#$09F00012,$40(A5)
	MOVE.L	#-1,$44(A5)
	MOVE.W	#$000C,$66(A5)
	MOVE.W	#$000C,$64(A5)
	MOVE.W	#$4050,$58(A5)
		MOVE.W	#$8400,$96(A5)

M_14:	BTST	#14,$DFF002
	BNE	M_14
	MOVE.L	SCREEN,A0
	ADD.L	#[$FF*44]+4,A0
	MOVE.W	#$80,D7
M_12:	BTST	#14,(A0)
	BEQ	M_10
	MOVE.W	#$08,D6
	MOVE.L	A0,A1
M_11:	MOVE.L	44(A1),(A1)+
	DBF	D6,M_11
M_10:	SUB.L	#44,A0
	DBF	D7,M_12

	MOVE.L	SCREEN,A0
	ADD.L	#[$0*44]+4,A0
	MOVE.W	#$80,D7
M_112:	BTST	#14,(A0)
	BEQ	M_110
	MOVE.W	#$08,D6
	MOVE.L	A0,A1
M_111:	MOVE.L	-44(A1),(A1)+
	DBF	D6,M_111
M_110:	ADD.L	#44,A0
	DBF	D7,M_112
	RTS

;

L_RUT:	MOVE.L	D0,D4
	SUB.L	D1,D4
	MOVE.L	D2,D5
	SUB.L	D3,D5
	EOR.L	D4,D5
	BEQ	L_1
	MOVE.L	D3,D5
	SUB.L	D2,D5
	EOR.L	D4,D5
	BEQ	L_1
	JMP	L_2
L_1:	ADDI.L	#$1,D1
L_2:	MOVE.L	#$DFF000,A5
	MOVE.L	A1,D4
	MULU	D1,D4
	MOVEQ	#-16,D5
	AND.W	D0,D5
	LSR.W	#3,D5
	ADD.W	D5,D4
	ADD.L	A0,D4
	CLR.L	D5
	SUB.W	D1,D3
	ROXL.B	#1,D5
	TST.W	D3
	BGE	L_3
	NEG.W	D3
L_3:	SUB.W	D0,D2
	ROXL.B	#1,D5
	TST.W	D2
	BGE	L_4
	NEG.W	D2
L_4:	MOVE.W	D3,D1
	SUB.W	D2,D1
	BGE	L_5
	EXG	D3,D2
L_5:	ROXL.B	#1,D5
	MOVE.B	L_TAL(PC,D5),D5
	ADD.B	M_OKTANT,D5
	ADD.W	D2,D2
L_WAIT:	BTST	#14,$DFF002
	BNE	L_WAIT
	MOVE.W	D2,$62(A5)
	SUB.W	D3,D2
	BGE	L_6
	ORI.B	#$40,D5
L_6:	MOVE.W	D2,$52(A5)
	SUB.W	D3,D2
	MOVE.W	D2,$64(A5)
	MOVE.W	#$8000,$74(A5)
	MOVE.W	A2,$72(A5)
	MOVE.W	#$FFFF,$44(A5)
	ANDI.W	#$F,D0
	ROR.W	#4,D0
	ORI.W	#$0BCA,D0
	MOVE.W	D0,$40(A5)
	MOVE.W	D5,$42(A5)
	MOVE.L	D4,$48(A5)
	MOVE.L	D4,$54(A5)
	MOVE.W	A1,$60(A5)
	MOVE.W	A1,$66(A5)
	LSL.W	#6,D3
	ADDQ	#2,D3
	MOVE.W	D3,$58(A5)
	RTS

L_TAL:	DC.B	$01,$11,$09,$15,$05,$19,$0D,$1D

;

COP:	DC.W	$0100,$2000,$0102,$0000,$0104,$0000
	DC.W	$0108,$0000,$010A,$0000
	DC.W	$008E,$2871,$0090,$30C7,$0092,$0030,$0094,$00D8

	DC.W	$00E0
C_1:	DC.W	$0007,$00E2,$0000
	DC.W	$00E4,$0007,$00E6,$8000

	DC.W	$0180,$000,$0182,$555
	DC.W	$0184,$CFC,$0186,$CFC

DC.W	$2007,$FFFE,$0180,$010,$0182,$000
DC.W	$2107,$FFFE,$0180,$020,$0182,$000
DC.W	$2207,$FFFE,$0180,$030,$0182,$000
DC.W	$2307,$FFFE,$0180,$040,$0182,$000
DC.W	$2407,$FFFE,$0180,$050,$0182,$000
DC.W	$2507,$FFFE,$0180,$060,$0182,$000
DC.W	$2607,$FFFE,$0180,$070,$0182,$000
DC.W	$2707,$FFFE,$0180,$080,$0182,$000
DC.W	$2807,$FFFE,$0180,$090,$0182,$000
DC.W	$2907,$FFFE,$0180,$0A0,$0182,$000
DC.W	$2A07,$FFFE,$0180,$0B0,$0182,$000
DC.W	$2B07,$FFFE,$0180,$1C0,$0182,$000
DC.W	$2C07,$FFFE,$0180,$2D0,$0182,$000
DC.W	$2D07,$FFFE,$0180,$3E0,$0182,$000
DC.W	$2E07,$FFFE,$0180,$4F0,$0182,$000
DC.W	$2F07,$FFFE,$0180,$5F0,$0182,$000
DC.W	$3007,$FFFE,$0180,$6F0,$0182,$000
DC.W	$3107,$FFFE,$0180,$7F1,$0182,$000
DC.W	$3207,$FFFE,$0180,$8F2,$0182,$000
DC.W	$3307,$FFFE,$0180,$7F3,$0182,$000
DC.W	$3407,$FFFE,$0180,$6F4,$0182,$000
DC.W	$3507,$FFFE,$0180,$5F5,$0182,$000
DC.W	$3607,$FFFE,$0180,$4F6,$0182,$000
DC.W	$3707,$FFFE,$0180,$3F7,$0182,$000
DC.W	$3807,$FFFE,$0180,$2F8,$0182,$000
DC.W	$3907,$FFFE,$0180,$1E9,$0182,$000
DC.W	$3A07,$FFFE,$0180,$0DA,$0182,$000
DC.W	$3B07,$FFFE,$0180,$0CB,$0182,$000
DC.W	$3C07,$FFFE,$0180,$0BC,$0182,$000
DC.W	$3D07,$FFFE,$0180,$0AD,$0182,$000
DC.W	$3E07,$FFFE,$0180,$09E,$0182,$000
DC.W	$3F07,$FFFE,$0180,$08F,$0182,$000
DC.W	$4007,$FFFE,$0180,$07E,$0182,$000
DC.W	$4107,$FFFE,$0180,$06D,$0182,$000
DC.W	$4207,$FFFE,$0180,$25C,$0182,$000
DC.W	$4307,$FFFE,$0180,$44B,$0182,$000
DC.W	$4407,$FFFE,$0180,$63A,$0182,$000
DC.W	$4507,$FFFE,$0180,$829,$0182,$000
DC.W	$4607,$FFFE,$0180,$A18,$0182,$000
DC.W	$4707,$FFFE,$0180,$C07,$0182,$000
DC.W	$4807,$FFFE,$0180,$E16,$0182,$000
DC.W	$4907,$FFFE,$0180,$C25,$0182,$000
DC.W	$4A07,$FFFE,$0180,$A34,$0182,$000
DC.W	$4B07,$FFFE,$0180,$843,$0182,$000
DC.W	$4C07,$FFFE,$0180,$652,$0182,$000
DC.W	$4D07,$FFFE,$0180,$461,$0182,$000
DC.W	$4E07,$FFFE,$0180,$270,$0182,$000
DC.W	$4F07,$FFFE,$0180,$080,$0182,$000
DC.W	$5007,$FFFE,$0180,$190,$0182,$000
DC.W	$5107,$FFFE,$0180,$2A0,$0182,$000
DC.W	$5207,$FFFE,$0180,$3C0,$0182,$000
DC.W	$5307,$FFFE,$0180,$4D0,$0182,$000
DC.W	$5407,$FFFE,$0180,$5E0,$0182,$000
DC.W	$5507,$FFFE,$0180,$6F0,$0182,$000
DC.W	$5607,$FFFE,$0180,$7F0,$0182,$000
DC.W	$5707,$FFFE,$0180,$8F0,$0182,$000
DC.W	$5807,$FFFE,$0180,$9F0,$0182,$000
DC.W	$5907,$FFFE,$0180,$AF0,$0182,$000
DC.W	$5A07,$FFFE,$0180,$BF0,$0182,$000
DC.W	$5B07,$FFFE,$0180,$CF0,$0182,$000
DC.W	$5C07,$FFFE,$0180,$DF0,$0182,$000
DC.W	$5D07,$FFFE,$0180,$EF0,$0182,$000
DC.W	$5E07,$FFFE,$0180,$FF0,$0182,$000
DC.W	$5F07,$FFFE,$0180,$FE1,$0182,$000
DC.W	$6007,$FFFE,$0180,$FD2,$0182,$000
DC.W	$6107,$FFFE,$0180,$FC3,$0182,$000
DC.W	$6207,$FFFE,$0180,$FB4,$0182,$000
DC.W	$6307,$FFFE,$0180,$FA5,$0182,$000
DC.W	$6407,$FFFE,$0180,$F96,$0182,$000
DC.W	$6507,$FFFE,$0180,$F87,$0182,$000
DC.W	$6607,$FFFE,$0180,$F78,$0182,$000
DC.W	$6707,$FFFE,$0180,$F69,$0182,$000
DC.W	$6807,$FFFE,$0180,$E5A,$0182,$000
DC.W	$6907,$FFFE,$0180,$D4B,$0182,$000
DC.W	$6A07,$FFFE,$0180,$C3C,$0182,$000
DC.W	$6B07,$FFFE,$0180,$B2D,$0182,$000
DC.W	$6C07,$FFFE,$0180,$A1E,$0182,$000
DC.W	$6D07,$FFFE,$0180,$90F,$0182,$000
DC.W	$6E07,$FFFE,$0180,$80F,$0182,$000
DC.W	$6F07,$FFFE,$0180,$70F,$0182,$000
DC.W	$7007,$FFFE,$0180,$60F,$0182,$000
DC.W	$7107,$FFFE,$0180,$50F,$0182,$000
DC.W	$7207,$FFFE,$0180,$40F,$0182,$000
DC.W	$7307,$FFFE,$0180,$30F,$0182,$000
DC.W	$7407,$FFFE,$0180,$22F,$0182,$000
DC.W	$7507,$FFFE,$0180,$14F,$0182,$000
DC.W	$7607,$FFFE,$0180,$06F,$0182,$000
DC.W	$7707,$FFFE,$0180,$08F,$0182,$000
DC.W	$7807,$FFFE,$0180,$0AF,$0182,$000
DC.W	$7907,$FFFE,$0180,$0CF,$0182,$000
DC.W	$7A07,$FFFE,$0180,$0EF,$0182,$000
DC.W	$7B07,$FFFE,$0180,$0CF,$0182,$000
DC.W	$7C07,$FFFE,$0180,$0AF,$0182,$000
DC.W	$7D07,$FFFE,$0180,$08F,$0182,$000
DC.W	$7E07,$FFFE,$0180,$06F,$0182,$000
DC.W	$7F07,$FFFE,$0180,$04F,$0182,$000
DC.W	$8007,$FFFE,$0180,$02F,$0182,$000
DC.W	$8107,$FFFE,$0180,$00F,$0182,$000
DC.W	$8207,$FFFE,$0180,$00F,$0182,$000
DC.W	$8307,$FFFE,$0180,$01F,$0182,$000
DC.W	$8407,$FFFE,$0180,$22F,$0182,$000
DC.W	$8507,$FFFE,$0180,$43F,$0182,$000
DC.W	$8607,$FFFE,$0180,$64F,$0182,$000
DC.W	$8707,$FFFE,$0180,$85F,$0182,$000
DC.W	$8807,$FFFE,$0180,$A6E,$0182,$000
DC.W	$8907,$FFFE,$0180,$C7D,$0182,$000
DC.W	$8A07,$FFFE,$0180,$E8C,$0182,$000
DC.W	$8B07,$FFFE,$0180,$F8B,$0182,$000
DC.W	$8C07,$FFFE,$0180,$F8A,$0182,$000
DC.W	$8D07,$FFFE,$0180,$F89,$0182,$000
DC.W	$8E07,$FFFE,$0180,$F88,$0182,$000
DC.W	$8F07,$FFFE,$0180,$F87,$0182,$000
DC.W	$9007,$FFFE,$0180,$F86,$0182,$000
DC.W	$9107,$FFFE,$0180,$F85,$0182,$000
DC.W	$9207,$FFFE,$0180,$F84,$0182,$000
DC.W	$9307,$FFFE,$0180,$F83,$0182,$000
DC.W	$9407,$FFFE,$0180,$F82,$0182,$000
DC.W	$9507,$FFFE,$0180,$F81,$0182,$000
DC.W	$9607,$FFFE,$0180,$F70,$0182,$000
DC.W	$9707,$FFFE,$0180,$F60,$0182,$000
DC.W	$9807,$FFFE,$0180,$F50,$0182,$000
DC.W	$9907,$FFFE,$0180,$F40,$0182,$000
DC.W	$9A07,$FFFE,$0180,$F30,$0182,$000
DC.W	$9B07,$FFFE,$0180,$F20,$0182,$000
DC.W	$9C07,$FFFE,$0180,$F10,$0182,$000
DC.W	$9D07,$FFFE,$0180,$F00,$0182,$000
DC.W	$9E07,$FFFE,$0180,$F01,$0182,$000
DC.W	$9F07,$FFFE,$0180,$F02,$0182,$000
DC.W	$A007,$FFFE,$0180,$F03,$0182,$000
DC.W	$A107,$FFFE,$0180,$F04,$0182,$000
DC.W	$A207,$FFFE,$0180,$F05,$0182,$000
DC.W	$A307,$FFFE,$0180,$F06,$0182,$000
DC.W	$A407,$FFFE,$0180,$F07,$0182,$000
DC.W	$A507,$FFFE,$0180,$F08,$0182,$000
DC.W	$A607,$FFFE,$0180,$F09,$0182,$000
DC.W	$A707,$FFFE,$0180,$F0A,$0182,$000
DC.W	$A807,$FFFE,$0180,$F0B,$0182,$000
DC.W	$A907,$FFFE,$0180,$F0C,$0182,$000
DC.W	$AA07,$FFFE,$0180,$F0D,$0182,$000
DC.W	$AB07,$FFFE,$0180,$F0E,$0182,$000
DC.W	$AC07,$FFFE,$0180,$F0F,$0182,$000
DC.W	$AD07,$FFFE,$0180,$F1F,$0182,$000
DC.W	$AE07,$FFFE,$0180,$F2F,$0182,$000
DC.W	$AF07,$FFFE,$0180,$F3F,$0182,$000
DC.W	$B007,$FFFE,$0180,$F4F,$0182,$000
DC.W	$B107,$FFFE,$0180,$F5F,$0182,$000
DC.W	$B207,$FFFE,$0180,$F6F,$0182,$000
DC.W	$B307,$FFFE,$0180,$F7F,$0182,$000
DC.W	$B407,$FFFE,$0180,$F8F,$0182,$000
DC.W	$B507,$FFFE,$0180,$F9F,$0182,$000
DC.W	$B607,$FFFE,$0180,$FAF,$0182,$000
DC.W	$B707,$FFFE,$0180,$EBF,$0182,$000
DC.W	$B807,$FFFE,$0180,$DCF,$0182,$000
DC.W	$B907,$FFFE,$0180,$CDF,$0182,$000
DC.W	$BA07,$FFFE,$0180,$BEF,$0182,$000
DC.W	$BB07,$FFFE,$0180,$AFF,$0182,$000
DC.W	$BC07,$FFFE,$0180,$9FF,$0182,$000
DC.W	$BD07,$FFFE,$0180,$8FF,$0182,$000
DC.W	$BE07,$FFFE,$0180,$7FF,$0182,$000
DC.W	$BF07,$FFFE,$0180,$6FF,$0182,$000
DC.W	$C007,$FFFE,$0180,$5FF,$0182,$000
DC.W	$C107,$FFFE,$0180,$4FF,$0182,$000
DC.W	$C207,$FFFE,$0180,$3FF,$0182,$000
DC.W	$C307,$FFFE,$0180,$2FF,$0182,$000
DC.W	$C407,$FFFE,$0180,$1FF,$0182,$000
DC.W	$C507,$FFFE,$0180,$0FF,$0182,$000
DC.W	$C607,$FFFE,$0180,$1FE,$0182,$000
DC.W	$C707,$FFFE,$0180,$2FD,$0182,$000
DC.W	$C807,$FFFE,$0180,$3FC,$0182,$000
DC.W	$C907,$FFFE,$0180,$4FB,$0182,$000
DC.W	$CA07,$FFFE,$0180,$5FA,$0182,$000
DC.W	$CB07,$FFFE,$0180,$6F9,$0182,$000
DC.W	$CC07,$FFFE,$0180,$7F8,$0182,$000
DC.W	$CD07,$FFFE,$0180,$8F7,$0182,$000
DC.W	$CE07,$FFFE,$0180,$9F6,$0182,$000
DC.W	$CF07,$FFFE,$0180,$AF5,$0182,$000
DC.W	$D007,$FFFE,$0180,$BF4,$0182,$000
DC.W	$D107,$FFFE,$0180,$CF3,$0182,$000
DC.W	$D207,$FFFE,$0180,$DF2,$0182,$000
DC.W	$D307,$FFFE,$0180,$EF1,$0182,$000
DC.W	$D407,$FFFE,$0180,$FF0,$0182,$000
DC.W	$D507,$FFFE,$0180,$EF0,$0182,$000
DC.W	$D607,$FFFE,$0180,$DF0,$0182,$000
DC.W	$D707,$FFFE,$0180,$CF0,$0182,$000
DC.W	$D807,$FFFE,$0180,$BF0,$0182,$000
DC.W	$D907,$FFFE,$0180,$AF0,$0182,$000
DC.W	$DA07,$FFFE,$0180,$9F1,$0182,$000
DC.W	$DB07,$FFFE,$0180,$8F2,$0182,$000
DC.W	$DC07,$FFFE,$0180,$8F3,$0182,$000
DC.W	$DD07,$FFFE,$0180,$8F4,$0182,$000
DC.W	$DE07,$FFFE,$0180,$8F5,$0182,$000
DC.W	$DF07,$FFFE,$0180,$8F6,$0182,$000
DC.W	$E007,$FFFE,$0180,$8F7,$0182,$000
DC.W	$E107,$FFFE,$0180,$8F8,$0182,$000
DC.W	$E207,$FFFE,$0180,$9F9,$0182,$000
DC.W	$E307,$FFFE,$0180,$AFA,$0182,$000
DC.W	$E407,$FFFE,$0180,$BFB,$0182,$000
DC.W	$E507,$FFFE,$0180,$CFC,$0182,$000
DC.W	$E607,$FFFE,$0180,$DFD,$0182,$000
DC.W	$E707,$FFFE,$0180,$EFE,$0182,$000
DC.W	$E807,$FFFE,$0180,$EEF,$0182,$000
DC.W	$E907,$FFFE,$0180,$DDF,$0182,$000
DC.W	$EA07,$FFFE,$0180,$CCE,$0182,$000
DC.W	$EB07,$FFFE,$0180,$BBE,$0182,$000
DC.W	$EC07,$FFFE,$0180,$AAD,$0182,$000
DC.W	$ED07,$FFFE,$0180,$99D,$0182,$000
DC.W	$EE07,$FFFE,$0180,$88C,$0182,$000
DC.W	$EF07,$FFFE,$0180,$77C,$0182,$000
DC.W	$F007,$FFFE,$0180,$66B,$0182,$000
DC.W	$F107,$FFFE,$0180,$55B,$0182,$000
DC.W	$F207,$FFFE,$0180,$44A,$0182,$000
DC.W	$F307,$FFFE,$0180,$33A,$0182,$000
DC.W	$F407,$FFFE,$0180,$229,$0182,$000
DC.W	$F507,$FFFE,$0180,$119,$0182,$000
DC.W	$F607,$FFFE,$0180,$008,$0182,$000
DC.W	$F707,$FFFE,$0180,$007,$0182,$000
DC.W	$F807,$FFFE,$0180,$006,$0182,$000
DC.W	$F907,$FFFE,$0180,$005,$0182,$000
DC.W	$FA07,$FFFE,$0180,$004,$0182,$000
DC.W	$FB07,$FFFE,$0180,$003,$0182,$000
DC.W	$FC07,$FFFE,$0180,$002,$0182,$000
DC.W	$FD07,$FFFE,$0180,$001,$0182,$000
DC.W	$FE07,$FFFE,$0180,$000,$0182,$000
DC.W	$FF07,$FFFE,$0180,$000,$0182,$000


	DC.L	$FFFFFFFE

