
ORG	$7C000
LOAD	$7C000

HOPPLA:

DC.L	$444F5300	;(DOS)
DC.L	$00000000	;CHECKSUM
DC.L	$00000370

START:	CLR.L	$6A0.W
	CLR.L	$6A4.W
	CLR.L	$89C.W
	MOVE.W	#$9,28(A1)
	CLR.L	36(A1)
	MOVE.L	$04.W,A6
	JSR	-456(A6)
	MOVE.B	#$2,$BFE001
	BTST	#$2,$DFF016
	BEQ.S	ENDBOOT

	LEA	HOPPLA,A0
	LEA	HOPPLA(PC),A1
	MOVE.W	#$3FF,D7
FLYTT:	MOVE.B	(A1)+,(A0)+
	DBF	D7,FLYTT
	JMP	CONT

CONT:	MOVEM.L	D0-D7/A0-A6,-(A7)
	BSR.S	S
	MOVEM.L	(A7)+,D0-D7/A0-A6
ENDBOOT:;MOVE.L	$04.W,A6
	LEA	DOS(PC),A1	;DOS.LIBRARY
	JSR	-96(A6)
	MOVE.L	D0,A0
	MOVE.L	22(A0),A0
	MOVEQ	#$00,D0
	RTS

DOS:	DC.B	'dos.library',$00

SCREEN1=$74000
SCREEN2=$78000

S:	MOVE.W	#$4000,$9A(A5)
	LEA	$DFF000,A5
;		MOVE.W	#$0020,$96(A5)
	BSR.S	EX_RUT
	BSR.S	EX_RUT
	MOVE.L	#COP,$80(A5)
	MOVE.W	#$83DF,$96(A5)

EVER:	CMP.B	#$FF,$06(A5)
	BNE.S	EVER
;EVER2:	CMP.B	#$08,$06(A5)
;	BNE.S	EVER2
	BSR.S	EX_RUT
	BSR.L	D_RUT
	BSR.L	F_RUT

;LEA	$DFF000,A5

	BTST	#$6,$BFE001
	BNE.S	EVER

END:	MOVE.W	#$C000,$9A(A5)
	MOVE.L	#$22F8,$80(A5)
	CLR.L	$180(A5)
RTS:	RTS

;

EX_DAT:	DC.W $0000
EX_NU:	DC.L $0

EX_RUT:	EOR.W	#$1,EX_DAT
	BNE.S	EX_2

	MOVE.L	#SCREEN1,EX_NU
	MOVE.L	#SCREEN2-2,D0
	BRA.S	EXET

EX_2:	MOVE.L	#SCREEN2,EX_NU
	MOVE.L	#SCREEN1-2,D0
	BRA.S	EXET

EXET:	MOVE.W	D0,P1+6
	SWAP	D0
	MOVE.W	D0,P1+2

EX_FILL:BTST	#14,$02(A5)
	BNE.S	EX_FILL

	MOVE.L	EX_NU,$54(A5)
	MOVE.W	#$40-42,$66(A5)
	MOVE.L	#$01000000,$40(A5)
	MOVE.W	#[$100*$40]+[40/2]+1,$58(A5)
	RTS

;

DX_POS:	BLK.B	$1E,$0
DY_POS:	BLK.B	$6,$0
D_INC:	DC.B	$33,$0

D_X:	DC.B	$71,$8F
D_Y:	DC.B	$7D,$83

D_RUT:	SUB.B	#$1,D_INC
	BNE.S	D_3
	MOVE.B	#$1,D_INC

	SUB.B	#$1,D_X
	CMP.B	#$00,D_X
	BNE.S	D_0
	MOVE.W	#$01FE,D_X
D_0:	ADD.B	#$1,D_X+1

	SUB.B	#$1,D_Y
	CMP.B	#$0B,D_Y
	BNE.S	D_2
	MOVE.W	#$0CF4,D_Y
D_2:	ADD.B	#$1,D_Y+1

D_3:	CLR.L	D0
	MOVE.B	D_Y+1(PC),D0
	SUB.B	D_Y(PC),D0
	ASL.W	#$8,D0
	DIVU	#$5,D0
		CLR.L	D2
		MOVE.B	D_Y(PC),D2
		ASL.W	#$8,D2
		LEA	DY_POS(PC),A0
		MOVEQ	#$5,D7
D_LOOP:	MOVE.W	D2,D1
	LSR.W	#$8,D1
	MOVE.B	D1,(A0)+
	ADD.W	D0,D2
	DBF	D7,D_LOOP

	CLR.L	D0
	MOVE.B	D_X+1(PC),D0
	SUB.B	D_X(PC),D0
	ASL.W	#$8,D0
	DIVU	#$1D,D0
		CLR.L	D2
		MOVE.B	D_X(PC),D2
		ASL.W	#$8,D2
		LEA	DX_POS(PC),A0
		MOVEQ	#$1D,D7
D_LOOP2:MOVE.W	D2,D1
	LSR.W	#$8,D1
	MOVE.B	D1,(A0)+
	ADD.W	D0,D2
	DBF	D7,D_LOOP2

	CLR.L	D0
	CLR.L	D1
	CLR.L	D2
	CLR.L	D3
	CLR.L	D7
	LEA	D_DAT,A6
	LEA	$DFF000,A5
	MOVE.L	#$40,A1
	MOVE.L	#-1,A2
	MOVE.L	EX_NU,A0
	LEA	DX_POS(PC),A3
	LEA	DY_POS(PC),A4

D_LUPP:	CLR.L	D0
	CLR.L	D1
	CLR.L	D3
	CLR.W	D7
	MOVE.B	(A6)+,D7
	CMP.B	#$FF,D7
	BEQ.S	D_END
	MOVE.B	(A3,D7.B),D0
	MOVE.B	(A6)+,D7
	MOVE.B	(A4,D7.B),D1
	MOVE.L	D0,D2
	MOVE.B	(A6)+,D7
	MOVE.B	(A4,D7.B),D3
	BSR.L	L_RUT
	BRA.S	D_LUPP

D_END:	RTS

D_DAT:

DC.B	0,0,5, 1,2,5, 4,2,5, 5,0,5	;M
DC.B	1,0,1, 4,0,1, 2,1,3, 3,1,3

DC.B	6,0,5, 7,1,2, 7,3,5, 8,1,2	;A
DC.B	8,3,5, 9,0,5

DC.B	10,0,5, 11,0,2, 11,3,5, 12,0,2	;H
DC.B	12,3,5, 13,0,5

DC.B	14,0,5, 15,1,4, 16,1,4, 17,0,5	;O

DC.B	18,0,5, 19,1,5, 20,0,5, 21,1,5	;N

DC.B	22,0,5, 23,1,2, 23,3,4, 24,2,3	;E
DC.B	25,0,1, 25,4,5

DC.B	26,0,3, 27,0,2, 27,3,5, 28,0,2	;Y
DC.B	28,3,5, 29,0,3

DC.B	$FF
EVEN

;

L_RUT:	MOVE.L	A1,D4
	MULU	D1,D4
	MOVEQ	#-16,D5
	AND.W	D0,D5
	LSR.W	#3,D5
	ADD.W	D5,D4
	ADD.L	A0,D4
	SUB.W	D1,D3
	TST.W	D3
	BGE.S	L_3
	NEG.W	D3
L_3:	SUB.W	D0,D2
	TST.W	D2
	BGE.S	L_4
	NEG.W	D2
L_4:	MOVE.W	D3,D1
	SUB.W	D2,D1
	BGE.S	L_5
	EXG	D3,D2
L_5:	MOVEQ	#$43,D5
	ADD.W	D2,D2
L_WAIT:	BTST	#14,$02(A5)
	BNE.S	L_WAIT
	MOVE.W	D2,$62(A5)
	SUB.W	D3,D2
	BGE.S	L_6
L_6:	MOVE.W	D2,$52(A5)
	SUB.W	D3,D2
	MOVE.W	D2,$64(A5)
	MOVE.W	#$8000,$74(A5)
	MOVE.W	A2,$72(A5)
	MOVE.W	#$FFFF,$44(A5)
	ANDI.W	#$F,D0
	ROR.W	#4,D0
	ORI.W	#$0BCA,D0
	MOVE.W	D0,$40(A5)
	MOVE.W	D5,$42(A5)
	MOVE.L	D4,$48(A5)
	MOVE.L	D4,$54(A5)
	MOVE.W	A1,$60(A5)
	MOVE.W	A1,$66(A5)
	LSL.W	#6,D3
	ADDQ	#2,D3
	MOVE.W	D3,$58(A5)
	RTS

;

F_RUT:	LEA	$DFF000,A5
F_9:	BTST	#14,$02(A5)
	BNE.S	F_9

	MOVE.L	EX_NU,D0
	ADD.L	#[$100*$40]+4+$1A,D0
	MOVE.L	D0,$54(A5)
	MOVE.L	D0,$50(A5)
	MOVE.L	#$09F00012,$40(A5)
	MOVEQ	#-1,D0
	MOVE.L	D0,$44(A5)
	MOVE.L	#[$40-32]*$10000+[$40-32],$64(A5)
	MOVE.W	#[$100*$40]+[32/2],$58(A5)
	MOVE.W	#$8400,$96(A5)
	RTS

;

COP:
DC.W $0100,$1000,$0102,$000C,$0108,$40-40-2
DC.W $008E,$209D,$0090,$14AD,$0092,$0038,$0094,$00D8
DC.W $0180,$0000
P1: DC.W $00E0,$0000,$00E2,$0000

DC.W $0182,$FF8

DC.W $8811,$FFFE,$0182,$FF6	;9E
DC.W $9811,$FFFE,$0182,$FF4
DC.W $A811,$FFFE,$0182,$FF2
DC.W $B811,$FFFE,$0182,$FF0
DC.W $FFFF,$FFFE

DC.L	$0
dc.b	'Mahoney-89'

