
>EXTERN "SOLR",SOLR,-1
>EXTERN "SIN",SIN,-1

SOLR   =$50000	;14400 = $3840
SIN    =$54000
A_SCR1=$5E000	;$6000
A_SCR2=$64000	;-$6A000

JMP S

ORG $48000
LOAD$48000

S:

S1:	CMP.B	#$FF,$DFF006
	BNE	S1
S2:	CMP.B	#$37,$DFF006
	BNE	S2

	MOVE.W	#$0020,$DFF096

	BSR	A_INIT	;MULU

	MOVE.L	$04.W,A6
	MOVE.W	#$4000,$DFF09A
	ADDQ.B	#$1,$0126(A6)
	MOVE.W	#$83DF,$DFF096
	MOVE.L	#COP,$DFF080
	CLR.W	$DFF180

	MOVE.W	$DFF01C,OLDENA
	OR.W	#$8000,OLDENA
	MOVE.L	$6C.W,OLDIRQ
	MOVE.W	#$7FFF,$DFF09A
	MOVE.L	#MYIRQ,$6C.W
	MOVE.W	#$C020,$DFF09A

	MOVE.W	$DFF00A,OLDA

EVER:	CMP.B	#$FF,$DFF006
	BNE	EVER
EVER2:	CMP.B	#$30,$DFF006
	BNE	EVER2

;BSR	MOVE1

MOVE.W	#-1,FRAMES

MOVE.W	#$0,$DFF180
BSR	COORDS
BSR	EX_RUT
MOVE.W	#$4,$DFF180

MOVE.W	FRAMES,TID
MOVE.W	$DFF006,TID+2
MOVE.W	$DFF006,D0
AND.W	#$FF00,D0
OR.W	#$7,D0
MOVE.W	D0,COPINS

	BTST	#$6,$BFE001
	BNE	EVER

END:	MOVE.W	#$7FFF,$DFF09A
	MOVE.L	OLDIRQ,$6C.W
	MOVE.W	OLDENA,$DFF09A

	MOVE.L	$04.W,A6
	SUBQ.B	#1,$0126(A6)
	BGE	END1
	MOVE.W	#$C000,$DFF09A
END1:	MOVE.W	#$83F0,$DFF096
	MOVE.W	#$000F,$DFF096
	LEA	ENDGRAPH,A1
	CLR.L	D0
	JSR	-408(A6)
	MOVE.L	D0,A0
	MOVE.L	38(A0),$DFF080
	CLR.L	D0
RTS:	RTS

ENDGRAPH:	DC.B	'graphics.library',$00,$00

FRAMES:	DC.W	$0
TID:	DC.L	$0

;

PO:	DC.B	$0,0

COORDS:	ADD.B	#$06,PO+1

	MOVEQ	#$0,D5
	MOVE.B	$DFF00A,D5
	ASL.W	#$8,D5

	MOVE.W	PO,D0
	MOVE.W	D0,D1
	MOVE.W	D0,D2
	MOVE.W	D0,D3
	ADD.B	#$20,D1
	ADD.B	#$40,D2
	ADD.B	#$60,D3
	LEA	SIN,A0

RELS=8

	MOVEQ	#$0,D4
	MOVE.B	(A0,D0.W),D4
	EXT.W	D4
	MULU	D5,D4
	SWAP	D4
	EXT.L	D4
	MOVE.L	D4,X1-2
	MOVEQ	#$0,D4
	MOVE.B	(A0,D1.W),D4
	EXT.W	D4
	MULU	D5,D4
	SWAP	D4
	EXT.L	D4
	MOVE.L	D4,Y1-2
	 MOVEQ	#$0,D4
	 MOVE.B	(A0,D1.W),D4
	EXT.W	D4
	 MULU	D5,D4
	 SWAP	D4
	 EXT.L	D4
	 MOVE.L	D4,X2-2
	 MOVEQ	#$0,D4
	 MOVE.B	(A0,D2.W),D4
	EXT.W	D4
	 MULU	D5,D4
	 SWAP	D4
	 EXT.L	D4
	 MOVE.L	D4,Y2-2
	MOVEQ	#$0,D4
	MOVE.B	(A0,D2.W),D4
	EXT.W	D4
	MULU	D5,D4
	SWAP	D4
	EXT.L	D4
	MOVE.L	D4,X3-2
	MOVEQ	#$0,D4
	MOVE.B	(A0,D3.W),D4
	EXT.W	D4
	MULU	D5,D4
	SWAP	D4
	EXT.L	D4
	MOVE.L	D4,Y3-2
	 MOVEQ	#$0,D4
	 MOVE.B	(A0,D3.W),D4
	EXT.W	D4
	 MULU	D5,D4
	 SWAP	D4
	 EXT.L	D4
	 MOVE.L	D4,X4-2
	 MOVEQ	#$0,D4
	 MOVE.B	(A0,D0.W),D4
	EXT.W	D4
	 MULU	D5,D4
	 SWAP	D4
	 EXT.L	D4
	 MOVE.L	D4,Y4-2

	MOVE.L	#$80,D0
	MOVE.L	#$80,D1
	ADD.L	D0,X1-2
	ADD.L	D0,X2-2
	ADD.L	D0,X3-2
	ADD.L	D0,X4-2
	ADD.L	D1,Y1-2
	ADD.L	D1,Y2-2
	ADD.L	D1,Y3-2
	ADD.L	D1,Y4-2
	RTS

;

OLDA:	DC.W	$0
NUA:	DC.W	$0

MOVE1:	MOVE.W	$DFF00A,D0
	CMP.W	OLDA,D0
	BEQ.L	RTS
	MOVE.W	D0,NUA

	MOVE.B	OLDA+1,D1
	SUB.B	D0,D1
	EXT.W	D1
	EXT.L	D1
	SUB.L	D1,X1-2

	MOVE.B	NUA,D0
	MOVE.B	OLDA,D1
	SUB.B	D0,D1
	EXT.W	D1
	EXT.L	D1
	SUB.L	D1,Y1-2

	MOVE.W	NUA,OLDA
	RTS

;

MYIRQ:	ADDQ.W	#$1,FRAMES
	MOVE.W	#$0020,$DFF09C
	RTE

OLDENA:	DC.W	$0
OLDIRQ:	DC.L	$0

;

A_HOJD=200
A_BREDD=320

A_EX:	DC.W	$0
A_DRAW1:DC.L	$0
A_DRAW2:DC.L	$0
A_DRAW3:DC.L	$0

EX_RUT:	MOVE.L	#A_SCR1,D0
	MOVE.L	#A_SCR2,D1
	EOR.W	#$1,A_EX
	BEQ.S	A_NO
	EXG	D0,D1

A_NO:	MOVE.W	D0,INS1+6
	SWAP	D0
	MOVE.W	D0,INS1+2
	MOVE.L	D1,A_DRAW1

	LEA	$DFF000,A5

A_FILL1:BTST	#14,$02(A5)
	BNE.S	A_FILL1
	MOVE.L	A_DRAW1,$54(A5)
	CLR.W	$66(A5)
	MOVE.L	#$01000000,$40(A5)
	MOVE.W	#[A_HOJD*$40]+[A_BREDD/16],$58(A5)

A_RUT:	MOVE.L	A_DRAW1,A0
	MOVE.L	#-1,(A0)

	LEA	SOLR,A0
	MOVE.L	A_DRAW1,A1
	LEA	A_MULU,A4
	MOVE.W	#A_HOJD,A5
	MOVE.W	#A_BREDD,A6

	MOVE.W	#HOJD-1,HOJDCOU-A_MULU(A4)

	MOVE.L	X1-2,D0
	MOVE.L	Y1-2,D1
	SWAP	D0
	SWAP	D1
	MOVE.L	X3-2,D4
	MOVE.L	Y3-2,D5
	SWAP	D4
	SWAP	D5
	SUB.L	D0,D4
	SUB.L	D1,D5
	ASR.L	#$2,D4
	ASR.L	#$2,D5
	DIVS	#HOJD,D4
	DIVS	#HOJD,D5
	EXT.L	D4
	EXT.L	D5
	ASL.L	#$2,D4
	ASL.L	#$2,D5

	MOVE.L	X2-2,D2
	MOVE.L	Y2-2,D3
	SWAP	D2
	SWAP	D3
	MOVE.L	X4-2,D6
	MOVE.L	Y4-2,D7
	SWAP	D6
	SWAP	D7
	SUB.L	D2,D6
	SUB.L	D3,D7
	ASR.L	#$2,D6
	ASR.L	#$2,D7
	DIVS	#HOJD,D6
	DIVS	#HOJD,D7
	EXT.L	D6
	EXT.L	D7
	ASL.L	#$2,D6
	ASL.L	#$2,D7

	MOVEM.L	D0-D7,REGS1-A_MULU(A4)

A_LO1:	MOVE.W	#BREDD2,BREDDCOU-A_MULU(A4)

	SUB.L	D0,D2
	SUB.L	D1,D3
	ASR.L	#$2,D2
	ASR.L	#$2,D3
	DIVS	#BREDD2,D2
	DIVS	#BREDD2,D3
	EXT.L	D2
	EXT.L	D3
	ASL.L	#$2,D2
	ASL.L	#$2,D3

A_LOOOO2:
	MOVEQ	#$0,D7
	MOVE.W	(A0)+,D7
	SWAP	D7
	MOVE.W	#$8000,D7

A_LO2:	ASL.L	#$1,D7
	BEQ.S	A_LOOOO2
	BCC.S	A_NEXT

	MOVE.L	D0,D4
	MOVE.L	D1,D5
	SWAP	D4
	SWAP	D5

	CMP.W	A5,D5	;A_HOJD
	BHI.S	A_NEXT
	CMP.W	A6,D4	;A_BREDD
	BHI.S	A_NEXT
	 ADD.W	D5,D5
	 MOVE.W	(A4,D5.W),D5
	 MOVE.W	D4,D6
	 LSR.W	#$3,D6
	 ADD.W	D6,D5
	 NOT.W	D4
	 BSET	D4,(A1,D5.W)
A_NEXT:	ADD.L	D2,D0
	ADD.L	D3,D1
	SUBQ.W	#$1,BREDDCOU-A_MULU(A4)
	BPL.S	A_LO2

	MOVEM.L	REGS1-A_MULU(A4),D0-D7
	ADD.L	D4,D0
	ADD.L	D5,D1
	ADD.L	D6,D2
	ADD.L	D7,D3
	MOVEM.L	D0-D3,REGS1-A_MULU(A4)

	ADD.L	#[[96/8]*8],A0

	SUBQ.W	#$1,HOJDCOU-A_MULU(A4)
	BPL.S	A_LO1
	RTS

REGS1:	BLK.L	8,0

	DC.W 0
X1:	DC.W	$40
	DC.W 0
Y1:	DC.W	$40
	DC.W 0
X2:	DC.W	$A0
	DC.W 0
Y2:	DC.W	$00
	DC.W 0
X3:	DC.W	$40
	DC.W 0
Y3:	DC.W	$60
	DC.W 0
X4:	DC.W	$A0
	DC.W 0
Y4:	DC.W	$60

A_INIT:	LEA	A_MULU,A0
	MOVEQ	#$0,D0
	MOVE.W	#$FF,D7
A_L:	MOVE.L	D0,D1
	MULU	#A_BREDD/8,D1
	MOVE.W	D1,(A0)+
	ADDQ.W	#$1,D0
	DBF	D7,A_L
	RTS

A_MULU:	BLK.W	$100,0
HOJDCOU:DC.W	$0
BREDDCOU:DC.W	$0

;

HOJD = 95
BREDD2=95

;

COP:
DC.W $0100,$1200,$0102,$0000,$0104,$0000,$0108,$0000,$010A,$0000
DC.W $008E,$4481,$0090,$0CC1,$0092,$0038,$0094,$00D0

INS1: DC.W $00E0,$0000,$00E2,$0000

DC.W $0180,$000,$0182,$CD4


COPINS:	DC.W	$0007,$FFFE,$0180,$003

DC.W	$FFFF,$FFFE

